      module M
      implicit none
      contains
      SUBROUTINE MAP$ZC02 (
     &     Z_WTE  ,
     &     Z_PTE  ,
     &     Z_HTE  ,
     &     Z_BSTE  ,
     &     Z_BATE  ,
     &     Z_BHTE  ,
     &     Z_XATE  ,
     &     Z_XATB  ,
     &     Z_WTE2  ,
     &     Z_PTE2  ,
     &     Z_HTE2  ,
     &     Z_BSTE2  ,
     &     Z_BATE2  ,
     &     Z_BHTE2  ,
     &     Z_WTB  ,
     &     Z_PTB  ,
     &     Z_HTB  ,
     &     Z_BSTB  ,
     &     Z_BATB  ,
     &     Z_BHTB  ,
     &     Z_WTB2  ,
     &     Z_PTB2  ,
     &     Z_HTB2  ,
     &     Z_BSTB2  ,
     &     Z_BATB2  ,
     &     Z_BHTB2  ,
     &     Z_WTB3  ,
     &     Z_PTB3  ,
     &     Z_HTB3  ,
     &     Z_BSTB3  ,
     &     Z_BATB3  ,
     &     Z_BHTB3  ,
     &     Z_WTB4  ,
     &     Z_PTB4  ,
     &     Z_HTB4  ,
     &     Z_BSTB4  ,
     &     Z_BATB4  ,
     &     Z_BHTB4  ,
     &     Z_WTB5  ,
     &     Z_PTB5  ,
     &     Z_HTB5  ,
     &     Z_BSTB5  ,
     &     Z_BATB5  ,
     &     Z_BHTB5  ,
     &     Z_WSI  ,
     &     Z_HSI  ,
     &     Z_BSSI  ,
     &     Z_BASI  ,
     &     Z_BHSI  ,
     &     Z_WDI1  ,
     &     Z_WDI2  ,
     &     Z_HDI1  ,
     &     Z_HDI2  ,
     &     Z_BSDI1  ,
     &     Z_BADI1  ,
     &     Z_BHDI1  ,
     &     Z_WWO1  ,
     &     Z_WWO2  ,
     &     Z_WSO  ,
     &     Z_WA1  ,
     &     Z_WA2  ,
     &     Z_WC1  ,
     &     Z_WC2  ,
     &     Z_TCI1  ,
     &     Z_TCI2  ,
     &     Z_PEQL  ,
     &     Z_HEQL  ,
     &     Z_XEQL  ,
     &     Z_WAEQL  ,
     &     Z_WSEQL  ,
     &     Z_PEQR  ,
     &     Z_HEQR  ,
     &     Z_XEQR  ,
     &     Z_MEQR  ,
     &     TVZ_0001  ,
     &     TAZ_F1  ,
     &     TAZ_F2  ,
     &     TAZ_VAC  ,
     &     Z_BA  ,
     &     Z_BS  ,
     &     Z_BH  ,
     &     Z_BO1  ,
     &     Z_BO2  ,
     &     Z_BS1  ,
     &     Z_BS2  ,
     &     Z_BA1  ,
     &     Z_BA2  ,
     &     Z_BH1  ,
     &     Z_BH2  ,
     &     Z_DL1  ,
     &     Z_DL2  ,
     &     Z_DSTM  ,
     &     Z_HL1  ,
     &     Z_HL2  ,
     &     Z_HFD  ,
     &     Z_HGD  ,
     &     Z_HGPT  ,
     &     Z_CPGPT  ,
     &     Z_HSTM  ,
     &     Z_L1  ,
     &     Z_L2  ,
     &     Z_MAIR  ,
     &     Z_ML1  ,
     &     Z_ML2  ,
     &     Z_MSTM  ,
     &     Z_PAIR  ,
     &     Z_PTOT  ,
     &     Z_PTOTB1  ,
     &     Z_PTOTB2  ,
     &     Z_PSTM  ,
     &     Z_Q1  ,
     &     Z_Q2  ,
     &     Z_QLS1  ,
     &     Z_QLS2  ,
     &     Z_QW1  ,
     &     Z_QW2  ,
     &     Z_R1  ,
     &     Z_R2  ,
     &     Z_TCO1  ,
     &     Z_TCO2  ,
     &     Z_TL1  ,
     &     Z_TL2  ,
     &     Z_TM1  ,
     &     Z_TM2  ,
     &     Z_TSAT  ,
     &     Z_TSTM  ,
     &     Z_TTOT  ,
     &     Z_TWM1  ,
     &     Z_TWM2  ,
     &     Z_VL1  ,
     &     Z_VL2  ,
     &     Z_VSTM  ,
     &     Z_WAN  ,
     &     Z_WAI  ,
     &     Z_WAO  ,
     &     Z_WCN1  ,
     &     Z_WCN2  ,
     &     Z_WEVP1  ,
     &     Z_WEVP2  ,
     &     Z_WRN  ,
     &     Z_WAEQR  ,
     &     Z_WSEQR  ,
     &     Z_X1  ,
     &     Z_X2  ,
     &     Z_XAIR  ,
     &     Z_XQ  ,
     &     Z_CEQUAL  ,
     &     Z_CWRL  ,
     &     Z_CWRM  ,
     &     Z_CWRC  ,
     &     Z_CWBS  ,
     &     Z_CWBH  ,
     &     Z_CWBA  ,
     &     Z_C1  ,
     &     Z_C2  ,
     &     Z_CA  ,
     &     Z_COX  ,
     &     Z_CCPM  ,
     &     Z_CDEVP  ,
     &     Z_CDRN  ,
     &     Z_CERN  ,
     &     Z_CHOTW  ,
     &     Z_CKLS  ,
     &     Z_CKAL  ,
     &     Z_CKAS  ,
     &     Z_CKS  ,
     &     Z_CKW  ,
     &     Z_CK2  ,
     &     Z_CKAT  ,
     &     Z_CKL1  ,
     &     Z_CKAIR  ,
     &     Z_CKHOT  ,
     &     Z_CLBB  ,
     &     Z_CLBT  ,
     &     Z_CLDIV  ,
     &     Z_CLKA  ,
     &     Z_CLTU  ,
     &     Z_CI1  ,
     &     Z_CM1  ,
     &     Z_CM2  ,
     &     Z_CMM  ,
     &     Z_CMW  ,
     &     Z_CV  ,
     &     X_CVINC11  ,
     &     Z_CLHW  ,
     &     Z_CVMIN  ,
     &     Z_CX  ,
     &     Z_CPLAG  ,
     &     Z_CMMIN  ,
     &     Z_CMH  ,
     &     Z_CSTMTL  ,
     &     Z_CDTDH  ,
     &     Z_CWTMIN  ,
     &     TAFLO  ,
     &     TAFMD  ,
     &     TATAMB  ,
     &     TAPAMB  ,
     &     YITIM  ,
     &     YIFRE  ,
     &     Z_IH1  ,
     &     Z_IH2  ,
     &     Z_IP  ,
     &     Z_IHL1  ,
     &     Z_IHL2  ,
     &     Z_IPL1  ,
     &     Z_IPL2  ,
     &     Z_IDG  ,
     &     Z_CKLMAX  ,
     &     ZCCALD1  ,
     &     ZCCALD2  ,
     &     ZCCPWTR  ,
     &     ZCRAIR  ,
     &     ZCTABS  ,
     &     ZCPHEL  ,
     &     ZCCPAIR  ,
     &     Z_XL1  ,
     &     Z_XL2  ,
     &     Z_HA1  ,
     &     Z_HA2  ,
     &     X_CVINC21  ,
     &     ZCTSR  ,
     &     Z_CVSWT  ,
     &     X_CVINC12  ,
     &     X_CVINC22  ,
     &     ZCWSMIN  ,
     &     ZCWLMIN  ,
     &     Z_BHYDTE  ,
     &     Z_BHYDTE2  ,
     &     Z_BHYDTB  ,
     &     Z_BHYDTB2  ,
     &     Z_BHYDTB3  ,
     &     Z_BHYDTB4  ,
     &     Z_BHYDTB5  ,
     &     Z_BHYD  ,
     &     Z_BHYDSI  ,
     &     Z_BN2TE  ,
     &     Z_BN2TE2  ,
     &     Z_BN2TB  ,
     &     Z_BN2TB2  ,
     &     Z_BN2TB3  ,
     &     Z_BN2TB4  ,
     &     Z_BN2TB5  ,
     &     Z_BN2  ,
     &     Z_BN2SI  ,
     &     Z_RLD  ,
     &     Z_RMD  ,
     &     Z_RCD  ,
     &     Z_BHYDL  ,
     &     Z_BN2L  ,
     &     Z_CI1H2  ,
     &     Z_CM1H2  ,
     &     Z_CM2H2  ,
     &     Z_CXH2  ,
     &     Z_CBUND  ,
     &     Z_BOXYTE  ,
     &     Z_BOXYTE2  ,
     &     Z_BOXYTB  ,
     &     Z_BOXYTB2  ,
     &     Z_BOXYTB3  ,
     &     Z_BOXYTB4  ,
     &     Z_BOXYTB5  ,
     &     Z_BOXYSI  ,
     &     Z_BOXY  ,
     &     Z_BOXYL  ,
     &     Z_CX_2  ,
     &     XC02WEQR  ,
     &     Z_CPAIR  ,
     &     Z_CEQFL  ,
     &     Z_XATE2  ,
     &     X_HLIN1  ,
     &     X_HLIN2  ,
     &     Z_RG131IDI1  ,
     &     Z_RG132IDI1  ,
     &     Z_RG132TEDI1  ,
     &     Z_RG133IDI1  ,
     &     Z_RG133XEDI1  ,
     &     Z_RG134CSDI1  ,
     &     Z_RG134IDI1  ,
     &     Z_RG135IDI1  ,
     &     Z_RG135XEDI1  ,
     &     Z_RG136CSDI1  ,
     &     Z_RG137CSDI1  ,
     &     Z_RG138CSDI1  ,
     &     Z_RG138XEDI1  ,
     &     Z_RG140BADI1  ,
     &     Z_RG140LADI1  ,
     &     Z_RG144CEDI1  ,
     &     Z_RG144CSDI1  ,
     &     Z_RG144PRDI1  ,
     &     Z_RG16NDI1  ,
     &     Z_RG41ARDI1  ,
     &     Z_RG60CODI1  ,
     &     Z_RG85KRDI1  ,
     &     Z_RG87KRDI1  ,
     &     Z_RG88KRDI1  ,
     &     Z_RG88RBDI1  ,
     &     Z_RG89SRDI1  ,
     &     Z_RG90SRDI1  ,
     &     Z_RG90YDI1  ,
     &     Z_RG91SRDI1  ,
     &     Z_RG91YDI1  ,
     &     Z_RG92SRDI1  ,
     &     Z_RG92YDI1  ,
     &     Z_RGM133XEDI1  ,
     &     Z_RGM135XEDI1  ,
     &     Z_RGM144PRDI1  ,
     &     Z_RGM85KRDI1  ,
     &     Z_RG131ISI  ,
     &     Z_RG132ISI  ,
     &     Z_RG132TESI  ,
     &     Z_RG133ISI  ,
     &     Z_RG133XESI  ,
     &     Z_RG134CSSI  ,
     &     Z_RG134ISI  ,
     &     Z_RG135ISI  ,
     &     Z_RG135XESI  ,
     &     Z_RG136CSSI  ,
     &     Z_RG137CSSI  ,
     &     Z_RG138CSSI  ,
     &     Z_RG138XESI  ,
     &     Z_RG140BASI  ,
     &     Z_RG140LASI  ,
     &     Z_RG144CESI  ,
     &     Z_RG144CSSI  ,
     &     Z_RG144PRSI  ,
     &     Z_RG16NSI  ,
     &     Z_RG41ARSI  ,
     &     Z_RG60COSI  ,
     &     Z_RG85KRSI  ,
     &     Z_RG87KRSI  ,
     &     Z_RG88KRSI  ,
     &     Z_RG88RBSI  ,
     &     Z_RG89SRSI  ,
     &     Z_RG90SRSI  ,
     &     Z_RG90YSI  ,
     &     Z_RG91SRSI  ,
     &     Z_RG91YSI  ,
     &     Z_RG92SRSI  ,
     &     Z_RG92YSI  ,
     &     Z_RGM133XESI  ,
     &     Z_RGM135XESI  ,
     &     Z_RGM144PRSI  ,
     &     Z_RGM85KRSI  ,
     &     Z_RG131IHW1  ,
     &     Z_RG132IHW1  ,
     &     Z_RG132TEHW1  ,
     &     Z_RG133IHW1  ,
     &     Z_RG133XEHW1  ,
     &     Z_RG134CSHW1  ,
     &     Z_RG134IHW1  ,
     &     Z_RG135IHW1  ,
     &     Z_RG135XEHW1  ,
     &     Z_RG136CSHW1  ,
     &     Z_RG137CSHW1  ,
     &     Z_RG138CSHW1  ,
     &     Z_RG138XEHW1  ,
     &     Z_RG140BAHW1  ,
     &     Z_RG140LAHW1  ,
     &     Z_RG144CEHW1  ,
     &     Z_RG144CSHW1  ,
     &     Z_RG144PRHW1  ,
     &     Z_RG16NHW1  ,
     &     Z_RG41ARHW1  ,
     &     Z_RG60COHW1  ,
     &     Z_RG85KRHW1  ,
     &     Z_RG87KRHW1  ,
     &     Z_RG88KRHW1  ,
     &     Z_RG88RBHW1  ,
     &     Z_RG89SRHW1  ,
     &     Z_RG90SRHW1  ,
     &     Z_RG90YHW1  ,
     &     Z_RG91SRHW1  ,
     &     Z_RG91YHW1  ,
     &     Z_RG92SRHW1  ,
     &     Z_RG92YHW1  ,
     &     Z_RGM133XEHW1  ,
     &     Z_RGM135XEHW1  ,
     &     Z_RGM144PRHW1  ,
     &     Z_RGM85KRHW1  ,
     &     Z_RG131ITB  ,
     &     Z_RG132ITB  ,
     &     Z_RG132TETB  ,
     &     Z_RG133ITB  ,
     &     Z_RG133XETB  ,
     &     Z_RG134CSTB  ,
     &     Z_RG134ITB  ,
     &     Z_RG135ITB  ,
     &     Z_RG135XETB  ,
     &     Z_RG136CSTB  ,
     &     Z_RG137CSTB  ,
     &     Z_RG138CSTB  ,
     &     Z_RG138XETB  ,
     &     Z_RG140BATB  ,
     &     Z_RG140LATB  ,
     &     Z_RG144CETB  ,
     &     Z_RG144CSTB  ,
     &     Z_RG144PRTB  ,
     &     Z_RG16NTB  ,
     &     Z_RG41ARTB  ,
     &     Z_RG60COTB  ,
     &     Z_RG85KRTB  ,
     &     Z_RG87KRTB  ,
     &     Z_RG88KRTB  ,
     &     Z_RG88RBTB  ,
     &     Z_RG89SRTB  ,
     &     Z_RG90SRTB  ,
     &     Z_RG90YTB  ,
     &     Z_RG91SRTB  ,
     &     Z_RG91YTB  ,
     &     Z_RG92SRTB  ,
     &     Z_RG92YTB  ,
     &     Z_RGM133XETB  ,
     &     Z_RGM135XETB  ,
     &     Z_RGM144PRTB  ,
     &     Z_RGM85KRTB  ,
     &     Z_RG131ITB2  ,
     &     Z_RG132ITB2  ,
     &     Z_RG132TETB2  ,
     &     Z_RG133ITB2  ,
     &     Z_RG133XETB2  ,
     &     Z_RG134CSTB2  ,
     &     Z_RG134ITB2  ,
     &     Z_RG135ITB2  ,
     &     Z_RG135XETB2  ,
     &     Z_RG136CSTB2  ,
     &     Z_RG137CSTB2  ,
     &     Z_RG138CSTB2  ,
     &     Z_RG138XETB2  ,
     &     Z_RG140BATB2  ,
     &     Z_RG140LATB2  ,
     &     Z_RG144CETB2  ,
     &     Z_RG144CSTB2  ,
     &     Z_RG144PRTB2  ,
     &     Z_RG16NTB2  ,
     &     Z_RG41ARTB2  ,
     &     Z_RG60COTB2  ,
     &     Z_RG85KRTB2  ,
     &     Z_RG87KRTB2  ,
     &     Z_RG88KRTB2  ,
     &     Z_RG88RBTB2  ,
     &     Z_RG89SRTB2  ,
     &     Z_RG90SRTB2  ,
     &     Z_RG90YTB2  ,
     &     Z_RG91SRTB2  ,
     &     Z_RG91YTB2  ,
     &     Z_RG92SRTB2  ,
     &     Z_RG92YTB2  ,
     &     Z_RGM133XETB2  ,
     &     Z_RGM135XETB2  ,
     &     Z_RGM144PRTB2  ,
     &     Z_RGM85KRTB2  ,
     &     Z_RG131ITB3  ,
     &     Z_RG132ITB3  ,
     &     Z_RG132TETB3  ,
     &     Z_RG133ITB3  ,
     &     Z_RG133XETB3  ,
     &     Z_RG134CSTB3  ,
     &     Z_RG134ITB3  ,
     &     Z_RG135ITB3  ,
     &     Z_RG135XETB3  ,
     &     Z_RG136CSTB3  ,
     &     Z_RG137CSTB3  ,
     &     Z_RG138CSTB3  ,
     &     Z_RG138XETB3  ,
     &     Z_RG140BATB3  ,
     &     Z_RG140LATB3  ,
     &     Z_RG144CETB3  ,
     &     Z_RG144CSTB3  ,
     &     Z_RG144PRTB3  ,
     &     Z_RG16NTB3  ,
     &     Z_RG41ARTB3  ,
     &     Z_RG60COTB3  ,
     &     Z_RG85KRTB3  ,
     &     Z_RG87KRTB3  ,
     &     Z_RG88KRTB3  ,
     &     Z_RG88RBTB3  ,
     &     Z_RG89SRTB3  ,
     &     Z_RG90SRTB3  ,
     &     Z_RG90YTB3  ,
     &     Z_RG91SRTB3  ,
     &     Z_RG91YTB3  ,
     &     Z_RG92SRTB3  ,
     &     Z_RG92YTB3  ,
     &     Z_RGM133XETB3  ,
     &     Z_RGM135XETB3  ,
     &     Z_RGM144PRTB3  ,
     &     Z_RGM85KRTB3  ,
     &     Z_RG131ITB4  ,
     &     Z_RG132ITB4  ,
     &     Z_RG132TETB4  ,
     &     Z_RG133ITB4  ,
     &     Z_RG133XETB4  ,
     &     Z_RG134CSTB4  ,
     &     Z_RG134ITB4  ,
     &     Z_RG135ITB4  ,
     &     Z_RG135XETB4  ,
     &     Z_RG136CSTB4  ,
     &     Z_RG137CSTB4  ,
     &     Z_RG138CSTB4  ,
     &     Z_RG138XETB4  ,
     &     Z_RG140BATB4  ,
     &     Z_RG140LATB4  ,
     &     Z_RG144CETB4  ,
     &     Z_RG144CSTB4  ,
     &     Z_RG144PRTB4  ,
     &     Z_RG16NTB4  ,
     &     Z_RG41ARTB4  ,
     &     Z_RG60COTB4  ,
     &     Z_RG85KRTB4  ,
     &     Z_RG87KRTB4  ,
     &     Z_RG88KRTB4  ,
     &     Z_RG88RBTB4  ,
     &     Z_RG89SRTB4  ,
     &     Z_RG90SRTB4  ,
     &     Z_RG90YTB4  ,
     &     Z_RG91SRTB4  ,
     &     Z_RG91YTB4  ,
     &     Z_RG92SRTB4  ,
     &     Z_RG92YTB4  ,
     &     Z_RGM133XETB4  ,
     &     Z_RGM135XETB4  ,
     &     Z_RGM144PRTB4  ,
     &     Z_RGM85KRTB4  ,
     &     Z_RG131ITB5  ,
     &     Z_RG132ITB5  ,
     &     Z_RG132TETB5  ,
     &     Z_RG133ITB5  ,
     &     Z_RG133XETB5  ,
     &     Z_RG134CSTB5  ,
     &     Z_RG134ITB5  ,
     &     Z_RG135ITB5  ,
     &     Z_RG135XETB5  ,
     &     Z_RG136CSTB5  ,
     &     Z_RG137CSTB5  ,
     &     Z_RG138CSTB5  ,
     &     Z_RG138XETB5  ,
     &     Z_RG140BATB5  ,
     &     Z_RG140LATB5  ,
     &     Z_RG144CETB5  ,
     &     Z_RG144CSTB5  ,
     &     Z_RG144PRTB5  ,
     &     Z_RG16NTB5  ,
     &     Z_RG41ARTB5  ,
     &     Z_RG60COTB5  ,
     &     Z_RG85KRTB5  ,
     &     Z_RG87KRTB5  ,
     &     Z_RG88KRTB5  ,
     &     Z_RG88RBTB5  ,
     &     Z_RG89SRTB5  ,
     &     Z_RG90SRTB5  ,
     &     Z_RG90YTB5  ,
     &     Z_RG91SRTB5  ,
     &     Z_RG91YTB5  ,
     &     Z_RG92SRTB5  ,
     &     Z_RG92YTB5  ,
     &     Z_RGM133XETB5  ,
     &     Z_RGM135XETB5  ,
     &     Z_RGM144PRTB5  ,
     &     Z_RGM85KRTB5  ,
     &     Z_RG131ITE  ,
     &     Z_RG132ITE  ,
     &     Z_RG132TETE  ,
     &     Z_RG133ITE  ,
     &     Z_RG133XETE  ,
     &     Z_RG134CSTE  ,
     &     Z_RG134ITE  ,
     &     Z_RG135ITE  ,
     &     Z_RG135XETE  ,
     &     Z_RG136CSTE  ,
     &     Z_RG137CSTE  ,
     &     Z_RG138CSTE  ,
     &     Z_RG138XETE  ,
     &     Z_RG140BATE  ,
     &     Z_RG140LATE  ,
     &     Z_RG144CETE  ,
     &     Z_RG144CSTE  ,
     &     Z_RG144PRTE  ,
     &     Z_RG16NTE  ,
     &     Z_RG41ARTE  ,
     &     Z_RG60COTE  ,
     &     Z_RG85KRTE  ,
     &     Z_RG87KRTE  ,
     &     Z_RG88KRTE  ,
     &     Z_RG88RBTE  ,
     &     Z_RG89SRTE  ,
     &     Z_RG90SRTE  ,
     &     Z_RG90YTE  ,
     &     Z_RG91SRTE  ,
     &     Z_RG91YTE  ,
     &     Z_RG92SRTE  ,
     &     Z_RG92YTE  ,
     &     Z_RGM133XETE  ,
     &     Z_RGM135XETE  ,
     &     Z_RGM144PRTE  ,
     &     Z_RGM85KRTE  ,
     &     Z_RG131ITE2  ,
     &     Z_RG132ITE2  ,
     &     Z_RG132TETE2  ,
     &     Z_RG133ITE2  ,
     &     Z_RG133XETE2  ,
     &     Z_RG134CSTE2  ,
     &     Z_RG134ITE2  ,
     &     Z_RG135ITE2  ,
     &     Z_RG135XETE2  ,
     &     Z_RG136CSTE2  ,
     &     Z_RG137CSTE2  ,
     &     Z_RG138CSTE2  ,
     &     Z_RG138XETE2  ,
     &     Z_RG140BATE2  ,
     &     Z_RG140LATE2  ,
     &     Z_RG144CETE2  ,
     &     Z_RG144CSTE2  ,
     &     Z_RG144PRTE2  ,
     &     Z_RG16NTE2  ,
     &     Z_RG41ARTE2  ,
     &     Z_RG60COTE2  ,
     &     Z_RG85KRTE2  ,
     &     Z_RG87KRTE2  ,
     &     Z_RG88KRTE2  ,
     &     Z_RG88RBTE2  ,
     &     Z_RG89SRTE2  ,
     &     Z_RG90SRTE2  ,
     &     Z_RG90YTE2  ,
     &     Z_RG91SRTE2  ,
     &     Z_RG91YTE2  ,
     &     Z_RG92SRTE2  ,
     &     Z_RG92YTE2  ,
     &     Z_RGM133XETE2  ,
     &     Z_RGM135XETE2  ,
     &     Z_RGM144PRTE2  ,
     &     Z_RGM85KRTE2  ,
     &     Z_G131I  ,
     &     Z_G132I  ,
     &     Z_G132TE  ,
     &     Z_G133I  ,
     &     Z_G133XE  ,
     &     Z_G134CS  ,
     &     Z_G134I  ,
     &     Z_G135I  ,
     &     Z_G135XE  ,
     &     Z_G136CS  ,
     &     Z_G137CS  ,
     &     Z_G138CS  ,
     &     Z_G138XE  ,
     &     Z_G140BA  ,
     &     Z_G140LA  ,
     &     Z_G144CE  ,
     &     Z_G144CS  ,
     &     Z_G144PR  ,
     &     Z_G16N  ,
     &     Z_G41AR  ,
     &     Z_G60CO  ,
     &     Z_G85KR  ,
     &     Z_G87KR  ,
     &     Z_G88KR  ,
     &     Z_G88RB  ,
     &     Z_G89SR  ,
     &     Z_G90SR  ,
     &     Z_G90Y  ,
     &     Z_G91SR  ,
     &     Z_G91Y  ,
     &     Z_G92SR  ,
     &     Z_G92Y  ,
     &     Z_GM133XE  ,
     &     Z_GM135XE  ,
     &     Z_GM144PR  ,
     &     Z_GM85KR  ,
     &     Z_CWG131I  ,
     &     Z_CWG132I  ,
     &     Z_CWG132TE  ,
     &     Z_CWG133I  ,
     &     Z_CWG133XE  ,
     &     Z_CWG134CS  ,
     &     Z_CWG134I  ,
     &     Z_CWG135I  ,
     &     Z_CWG135XE  ,
     &     Z_CWG136CS  ,
     &     Z_CWG137CS  ,
     &     Z_CWG138CS  ,
     &     Z_CWG138XE  ,
     &     Z_CWG140BA  ,
     &     Z_CWG140LA  ,
     &     Z_CWG144CE  ,
     &     Z_CWG144CS  ,
     &     Z_CWG144PR  ,
     &     Z_CWG16N  ,
     &     Z_CWG41AR  ,
     &     Z_CWG60CO  ,
     &     Z_CWG85KR  ,
     &     Z_CWG87KR  ,
     &     Z_CWG88KR  ,
     &     Z_CWG88RB  ,
     &     Z_CWG89SR  ,
     &     Z_CWG90SR  ,
     &     Z_CWG90Y  ,
     &     Z_CWG91SR  ,
     &     Z_CWG91Y  ,
     &     Z_CWG92SR  ,
     &     Z_CWG92Y  ,
     &     Z_CWGM133XE  ,
     &     Z_CWGM135XE  ,
     &     Z_CWGM144PR  ,
     &     Z_CWGM85KR  ,
     &     Z_RG131ID  ,
     &     Z_RG132ID  ,
     &     Z_RG132TED  ,
     &     Z_RG133ID  ,
     &     Z_RG133XED  ,
     &     Z_RG134CSD  ,
     &     Z_RG134ID  ,
     &     Z_RG135ID  ,
     &     Z_RG135XED  ,
     &     Z_RG136CSD  ,
     &     Z_RG137CSD  ,
     &     Z_RG138CSD  ,
     &     Z_RG138XED  ,
     &     Z_RG140BAD  ,
     &     Z_RG140LAD  ,
     &     Z_RG144CED  ,
     &     Z_RG144CSD  ,
     &     Z_RG144PRD  ,
     &     Z_RG16ND  ,
     &     Z_RG41ARD  ,
     &     Z_RG60COD  ,
     &     Z_RG85KRD  ,
     &     Z_RG87KRD  ,
     &     Z_RG88KRD  ,
     &     Z_RG88RBD  ,
     &     Z_RG89SRD  ,
     &     Z_RG90SRD  ,
     &     Z_RG90YD  ,
     &     Z_RG91SRD  ,
     &     Z_RG91YD  ,
     &     Z_RG92SRD  ,
     &     Z_RG92YD  ,
     &     Z_RGM133XED  ,
     &     Z_RGM135XED  ,
     &     Z_RGM144PRD  ,
     &     Z_RGM85KRD  ,
     &     ZNDFRAC131I  ,
     &     ZNDFRAC132I  ,
     &     ZNDFRAC132TE  ,
     &     ZNDFRAC133I  ,
     &     ZNDFRAC133XE  ,
     &     ZNDFRAC134CS  ,
     &     ZNDFRAC134I  ,
     &     ZNDFRAC135I  ,
     &     ZNDFRAC135XE  ,
     &     ZNDFRAC136CS  ,
     &     ZNDFRAC137CS  ,
     &     ZNDFRAC138CS  ,
     &     ZNDFRAC138XE  ,
     &     ZNDFRAC140BA  ,
     &     ZNDFRAC140LA  ,
     &     ZNDFRAC144CE  ,
     &     ZNDFRAC144CS  ,
     &     ZNDFRAC144PR  ,
     &     ZNDFRAC16N  ,
     &     ZNDFRAC41AR  ,
     &     ZNDFRAC60CO  ,
     &     ZNDFRAC85KR  ,
     &     ZNDFRAC87KR  ,
     &     ZNDFRAC88KR  ,
     &     ZNDFRAC88RB  ,
     &     ZNDFRAC89SR  ,
     &     ZNDFRAC90SR  ,
     &     ZNDFRAC90Y  ,
     &     ZNDFRAC91SR  ,
     &     ZNDFRAC91Y  ,
     &     ZNDFRAC92SR  ,
     &     ZNDFRAC92Y  ,
     &     ZNDFRACM133XE  ,
     &     ZNDFRACM135XE  ,
     &     ZNDFRACM144PR  ,
     &     ZNDFRACM85KR  ,
     &     Z_RG131ITB6  ,
     &     Z_RG132ITB6  ,
     &     Z_RG132TETB6  ,
     &     Z_RG133ITB6  ,
     &     Z_RG133XETB6  ,
     &     Z_RG134CSTB6  ,
     &     Z_RG134ITB6  ,
     &     Z_RG135ITB6  ,
     &     Z_RG135XETB6  ,
     &     Z_RG136CSTB6  ,
     &     Z_RG137CSTB6  ,
     &     Z_RG138CSTB6  ,
     &     Z_RG138XETB6  ,
     &     Z_RG140BATB6  ,
     &     Z_RG140LATB6  ,
     &     Z_RG144CETB6  ,
     &     Z_RG144CSTB6  ,
     &     Z_RG144PRTB6  ,
     &     Z_RG16NTB6  ,
     &     Z_RG41ARTB6  ,
     &     Z_RG60COTB6  ,
     &     Z_RG85KRTB6  ,
     &     Z_RG87KRTB6  ,
     &     Z_RG88KRTB6  ,
     &     Z_RG88RBTB6  ,
     &     Z_RG89SRTB6  ,
     &     Z_RG90SRTB6  ,
     &     Z_RG90YTB6  ,
     &     Z_RG91SRTB6  ,
     &     Z_RG91YTB6  ,
     &     Z_RG92SRTB6  ,
     &     Z_RG92YTB6  ,
     &     Z_RGM133XETB6  ,
     &     Z_RGM135XETB6  ,
     &     Z_RGM144PRTB6  ,
     &     Z_RGM85KRTB6  ,
     &     Z_HTB6  ,
     &     Z_WTB6  ,
     &     Z_PTB6  ,
     &     Z_BN2TB6  ,
     &     Z_BHYDTB6  ,
     &     Z_BOXYTB6  ,
     &     Z_BSTB6  ,
     &     Z_BATB6  ,
     &     Z_BHTB6  ,
     &     Z_XATB2  ,
     &     Z_XATB3  ,
     &     Z_XATB4  ,
     &     Z_XATB5  ,
     &     Z_XATB6  ,
     &     Z_BSHW1A  ,
     &     Z_BSHW1B  ,
     &     Z_BAHW1A  ,
     &     Z_BAHW1B  ,
     &     Z_BHHW1A  ,
     &     Z_BHHW1B  ,
     &     Z_WWO1A  ,
     &     Z_WWO1B  ,
     &     Z_WWO2A  ,
     &     Z_WWO2B  ,
     &     Z_HLIN1A  ,
     &     Z_HLIN1B  ,
     &     Z_HLIN2A  ,
     &     Z_HLIN2B  ,
     &     Z_CKSUB  ,
     &     Z_WN2I  ,
     &     Z_WN2O  ,
     &     Z_WO2I  ,
     &     Z_WO2O  ,
     &     Z_BOXYDI1  ,
     &     Z_BOXYDI2  ,
     &     Z_BN2DI1  ,
     &     Z_BN2DI2  ,
     &     Z_MO2  ,
     &     Z_MN2  ,
     &     Z_BN2LEFT  ,
     &     Z_BO2LEFT  ,
     &     Z_BN2RIGHT  ,
     &     Z_BO2RIGHT  ,
     &     Z_MGAS  ,
     &     Z_XH2O  ,
     &     ZH2OGAS  ,
     &     Z_HGAS  ,
     &     Z_HGASL  ,
     &     Z_HAIR  ,
     &     Z_TTOTL  ,
     &     Z_CPMIX  ,
     &     Z_MG131I  ,
     &     Z_MG132I  ,
     &     Z_MG132TE  ,
     &     Z_MG133I  ,
     &     Z_MG133XE  ,
     &     Z_MG134CS  ,
     &     Z_MG134I  ,
     &     Z_MG135I  ,
     &     Z_MG135XE  ,
     &     Z_MG136CS  ,
     &     Z_MG137CS  ,
     &     Z_MG138CS  ,
     &     Z_MG138XE  ,
     &     Z_MG140BA  ,
     &     Z_MG140LA  ,
     &     Z_MG144CE  ,
     &     Z_MG144CS  ,
     &     Z_MG144PR  ,
     &     Z_MG16N  ,
     &     Z_MG41AR  ,
     &     Z_MG60CO  ,
     &     Z_MG85KR  ,
     &     Z_MG87KR  ,
     &     Z_MG88KR  ,
     &     Z_MG88RB  ,
     &     Z_MG89SR  ,
     &     Z_MG90SR  ,
     &     Z_MG90Y  ,
     &     Z_MG91SR  ,
     &     Z_MG91Y  ,
     &     Z_MG92SR  ,
     &     Z_MG92Y  ,
     &     Z_MGM133XE  ,
     &     Z_MGM135XE  ,
     &     Z_MGM144PR  ,
     &     Z_MGM85KR  ,
     &     Z_MHW131I  ,
     &     Z_MHW132I  ,
     &     Z_MHW132TE  ,
     &     Z_MHW133I  ,
     &     Z_MHW133XE  ,
     &     Z_MHW134CS  ,
     &     Z_MHW134I  ,
     &     Z_MHW135I  ,
     &     Z_MHW135XE  ,
     &     Z_MHW136CS  ,
     &     Z_MHW137CS  ,
     &     Z_MHW138CS  ,
     &     Z_MHW138XE  ,
     &     Z_MHW140BA  ,
     &     Z_MHW140LA  ,
     &     Z_MHW144CE  ,
     &     Z_MHW144CS  ,
     &     Z_MHW144PR  ,
     &     Z_MHW16N  ,
     &     Z_MHW41AR  ,
     &     Z_MHW60CO  ,
     &     Z_MHW85KR  ,
     &     Z_MHW87KR  ,
     &     Z_MHW88KR  ,
     &     Z_MHW88RB  ,
     &     Z_MHW89SR  ,
     &     Z_MHW90SR  ,
     &     Z_MHW90Y  ,
     &     Z_MHW91SR  ,
     &     Z_MHW91Y  ,
     &     Z_MHW92SR  ,
     &     Z_MHW92Y  ,
     &     Z_MHWM133XE  ,
     &     Z_MHWM135XE  ,
     &     Z_MHWM144PR  ,
     &     Z_MHWM85KR  ,
     &     Z_131IAR1  ,
     &     Z_132IAR1  ,
     &     Z_132TEAR1  ,
     &     Z_133IAR1  ,
     &     Z_133XEAR1  ,
     &     Z_134CSAR1  ,
     &     Z_134IAR1  ,
     &     Z_135IAR1  ,
     &     Z_135XEAR1  ,
     &     Z_136CSAR1  ,
     &     Z_137CSAR1  ,
     &     Z_138CSAR1  ,
     &     Z_138XEAR1  ,
     &     Z_140BAAR1  ,
     &     Z_140LAAR1  ,
     &     Z_144CEAR1  ,
     &     Z_144CSAR1  ,
     &     Z_144PRAR1  ,
     &     Z_16NAR1  ,
     &     Z_41ARAR1  ,
     &     Z_60COAR1  ,
     &     Z_85KRAR1  ,
     &     Z_87KRAR1  ,
     &     Z_88KRAR1  ,
     &     Z_88RBAR1  ,
     &     Z_89SRAR1  ,
     &     Z_90SRAR1  ,
     &     Z_90YAR1  ,
     &     Z_91SRAR1  ,
     &     Z_91YAR1  ,
     &     Z_92SRAR1  ,
     &     Z_92YAR1  ,
     &     Z_M133XEAR1  ,
     &     Z_M135XEAR1  ,
     &     Z_M144PRAR1  ,
     &     Z_M85KRAR1  ,
     &     Z_HAR1  ,
     &     Z_WAR1  ,
     &     Z_BGASAR1  ,
     &     Z_BN2AR1  ,
     &     Z_BHYDAR1  ,
     &     Z_BOXYAR1  ,
     &     Z_XAAR1  ,
     &     Z_XH2OAR1  ,
     &     Z_131IAR2  ,
     &     Z_132IAR2  ,
     &     Z_132TEAR2  ,
     &     Z_133IAR2  ,
     &     Z_133XEAR2  ,
     &     Z_134CSAR2  ,
     &     Z_134IAR2  ,
     &     Z_135IAR2  ,
     &     Z_135XEAR2  ,
     &     Z_136CSAR2  ,
     &     Z_137CSAR2  ,
     &     Z_138CSAR2  ,
     &     Z_138XEAR2  ,
     &     Z_140BAAR2  ,
     &     Z_140LAAR2  ,
     &     Z_144CEAR2  ,
     &     Z_144CSAR2  ,
     &     Z_144PRAR2  ,
     &     Z_16NAR2  ,
     &     Z_41ARAR2  ,
     &     Z_60COAR2  ,
     &     Z_85KRAR2  ,
     &     Z_87KRAR2  ,
     &     Z_88KRAR2  ,
     &     Z_88RBAR2  ,
     &     Z_89SRAR2  ,
     &     Z_90SRAR2  ,
     &     Z_90YAR2  ,
     &     Z_91SRAR2  ,
     &     Z_91YAR2  ,
     &     Z_92SRAR2  ,
     &     Z_92YAR2  ,
     &     Z_M133XEAR2  ,
     &     Z_M135XEAR2  ,
     &     Z_M144PRAR2  ,
     &     Z_M85KRAR2  ,
     &     Z_HAR2  ,
     &     Z_WAR2  ,
     &     Z_BGASAR2  ,
     &     Z_BN2AR2  ,
     &     Z_BHYDAR2  ,
     &     Z_BOXYAR2  ,
     &     Z_XAAR2  ,
     &     Z_XH2OAR2  ,
     &     Z_BOXYL2  ,
     &     Z_BN2L2  ,
     &     Z_BHYDL2  ,
     &     Z_HGASL2  ,
     &     Z_TTOTL2  ,
     &     Z_XH2O2  )



      IMPLICIT NONE

C     =================
C     Real Declarations
C     =================
C
C
       REAL*4     Z_PEQL     ! LEFT
       REAL*4     Z_HEQL     ! LEFT
       REAL*4     Z_XEQL     ! LEFT
       REAL*4     Z_WAEQL    ! AIR F
       REAL*4     Z_WSEQL    ! STM F
       REAL*4     Z_WAEQR    ! AIR F
       REAL*4     Z_WSEQR    ! STM F
       REAL*4     Z_BHSI     ! VARIO
       REAL*4     Z_BHYDSI   ! VARIO
       REAL*4     Z_BN2SI    ! VARIO
       REAL*4     Z_PEQR     ! RIGHT
       REAL*4     Z_HEQR     ! RIGHT
       REAL*4     Z_XEQR     ! RIGHT
       REAL*4     Z_MEQR     ! RIGHT
       REAL*4     Z_WTE      ! TURBI
       REAL*4     Z_PTE      ! TURB
       REAL*4     Z_HTE      ! TURB
       REAL*4     Z_BHTE     ! TURB
       REAL*4     Z_BHYDTE   ! TURB
       REAL*4     Z_BN2TE    ! TURB
       REAL*4     Z_BSTE     ! TURB
       REAL*4     Z_BATE     ! TURB
       REAL*4     Z_WTE2     ! LP ST
       REAL*4     Z_PTE2     ! LP ST
       REAL*4     Z_HTE2     ! LP ST
       REAL*4     Z_BHTE2    ! LP ST
       REAL*4     Z_BHYDTE2  ! LP ST
       REAL*4     Z_BN2TE2   ! LP ST
       REAL*4     Z_BSTE2    ! LP ST
       REAL*4     Z_BATE2    ! LP ST
       REAL*4     Z_WTB      ! TURBI
       REAL*4     Z_PTB      ! TURBI
       REAL*4     Z_HTB      ! TURB
       REAL*4     Z_BHTB     ! TURB
       REAL*4     Z_BHYDTB   ! TURB
       REAL*4     Z_BN2TB    ! TURB
       REAL*4     Z_BSTB     ! TURB
       REAL*4     Z_BATB     ! TURB
       REAL*4     Z_WTB2     ! TURBI
       REAL*4     Z_PTB2     ! TURBI
       REAL*4     Z_HTB2     ! TURB
       REAL*4     Z_BHTB2    ! TURB
       REAL*4     Z_BHYDTB2  ! TURB
       REAL*4     Z_BN2TB2   ! TURB
       REAL*4     Z_BSTB2    ! TURB
       REAL*4     Z_BATB2    ! TURB
       REAL*4     Z_WTB3     ! TURBI
       REAL*4     Z_PTB3     ! TURBI
       REAL*4     Z_HTB3     ! TURB
       REAL*4     Z_BHTB3    ! TURB
       REAL*4     Z_BHYDTB3  ! TURB
       REAL*4     Z_BN2TB3   ! TURB
       REAL*4     Z_BSTB3    ! TURB
       REAL*4     Z_BATB3    ! TURB
       REAL*4     Z_WTB4     ! TURBI
       REAL*4     Z_PTB4     ! TURBI
       REAL*4     Z_HTB4     ! TURB
       REAL*4     Z_BHTB4    ! TURB
       REAL*4     Z_BHYDTB4  ! TURB
       REAL*4     Z_BN2TB4   ! TURB
       REAL*4     Z_BSTB4    ! TURB
       REAL*4     Z_BATB4    ! TURB
       REAL*4     Z_WTB5     ! TURB
       REAL*4     Z_PTB5     ! TURB
       REAL*4     Z_HTB5     ! TURB
       REAL*4     Z_BHTB5    ! TURB
       REAL*4     Z_BHYDTB5  ! TURB
       REAL*4     Z_BN2TB5   ! TURB
       REAL*4     Z_BSTB5    ! TURB
       REAL*4     Z_BATB5    ! TURB
       REAL*4     Z_WSI      ! VARIO
       REAL*4     Z_WSO      ! VARIO
       REAL*4     Z_HSI      ! VARIO
       REAL*4     Z_BSSI     ! VARIO
       REAL*4     Z_BASI     ! VARIO
       REAL*4     Z_WDI1     ! INLET
       REAL*4     Z_WDI2     ! INLET
       REAL*4     Z_HDI1     ! INLET
       REAL*4     Z_HDI2     ! INLET
       REAL*4     Z_BSDI1    ! INLET
       REAL*4     Z_BADI1    ! INLET
       REAL*4     Z_BHDI1    ! INLET
       REAL*4     Z_WWO1     ! OUTLE
       REAL*4     Z_WWO2     ! OUTLE
       REAL*4     Z_WA1      ! A/R O
       REAL*4     Z_WA2      ! A/R O
       REAL*4     Z_WC1      ! CIRCU
       REAL*4     Z_WC2      ! CIRCU
       REAL*4     Z_TCI1     ! INLET
       REAL*4     Z_TCI2     ! INLET
       REAL*4     TVZ_0001   ! CONDE
       REAL*4     TAZ_F1     ! BUNDL
       REAL*4     TAZ_F2     ! BUNDL
       REAL*4     TAZ_VAC    ! CONDE
       REAL*4     Z_BA       ! CONDE
       REAL*4     Z_BS       ! CONDE
       REAL*4     Z_BH       ! CONDE
       REAL*4     Z_BHYD     ! CONDE
       REAL*4     Z_BN2      ! CONDE
       REAL*4     Z_BHYDL    ! LOCAL
       REAL*4     Z_BN2L     ! LOCAL
       REAL*4     Z_BO1      ! COND
       REAL*4     Z_BO2      ! COND
       REAL*4     Z_BS1      ! COND
       REAL*4     Z_BS2      ! COND
       REAL*4     Z_DL1      ! HOTWE
       REAL*4     Z_DL2      ! HOTWE
       REAL*4     Z_DSTM     ! COND.
       REAL*4     Z_HL1      ! HOTWE
       REAL*4     Z_HL2      ! HOTWE
       REAL*4     Z_HFD      ! SAT.
       REAL*4     Z_HGD      ! SAT.
       REAL*4     Z_HGPT     ! VAPOR
       REAL*4     Z_HA1      ! AIR R
       REAL*4     Z_HA2      ! AIR R
       REAL*4     Z_CPGPT    ! VAPOR
       REAL*4     Z_HSTM     ! SP EN
       REAL*4     Z_L1       ! HOTWE
       REAL*4     Z_L2       ! HOTWE
       REAL*4     Z_MAIR     ! MASS
       REAL*4     Z_ML1      ! HOTWE
       REAL*4     Z_ML2      ! HOTWE
       REAL*4     Z_MSTM     ! MASS
       REAL*4     Z_PAIR     ! CONDE
       REAL*4     Z_PTOT     ! TOTAL
       REAL*4     Z_PTOTB1   ! COND
       REAL*4     Z_PTOTB2   ! COND
       REAL*4     Z_PSTM     ! PARTI
       REAL*4     Z_Q1       ! CONDE
       REAL*4     Z_Q2       ! CONDE
       REAL*4     Z_QLS1     ! HT XS
       REAL*4     Z_QLS2     ! HT XS
       REAL*4     Z_QW1      ! HT XF
       REAL*4     Z_QW2      ! HT XF
       REAL*4     Z_R1       ! AIR E
       REAL*4     Z_R2       ! AIR E
       REAL*4     Z_BA1      ! HW1 A
       REAL*4     Z_BH1      ! HW1 H
       REAL*4     Z_BA2      ! HW2 A
       REAL*4     Z_BH2      ! HW2 H
       REAL*4     Z_TCO1     ! CIRC.
       REAL*4     Z_TCO2     ! CIRC.
       REAL*4     Z_TL1      ! HOTWE
       REAL*4     Z_TL2      ! HOTWE
       REAL*4     Z_TM1      ! BUNDL
       REAL*4     Z_TM2      ! BUNDL
       REAL*4     Z_TSAT     ! CONDE
       REAL*4     Z_TSTM     ! MAIN
       REAL*4     Z_TTOT     ! MAIN
       REAL*4     Z_TWM1     ! CIRC.
       REAL*4     Z_TWM2     ! CIRC.
       REAL*4     Z_VL1      ! COND.
       REAL*4     Z_VL2      ! COND.
       REAL*4     Z_VSTM     ! COND.
       REAL*4     Z_WAN      ! NORMA
       REAL*4     Z_WAO      ! VARIO
       REAL*4     Z_WAI      ! VARIO
       REAL*4     Z_WCN1     ! CONDE
       REAL*4     Z_WCN2     ! CONDE
       REAL*4     Z_WEVP1    ! HOTWE
       REAL*4     Z_WEVP2    ! HOTWE
       REAL*4     Z_WRN      ! RAIN-
      REAL*4     Z_X1       ! AIR/S
       REAL*4     Z_X2       ! AIR/S
       REAL*4     Z_XAIR     ! GLOBA
       REAL*4     Z_XQ       ! STEAM
       REAL*4     Z_CEQUAL   ! EQUAL
       REAL*4     Z_CWRL     ! EVAPO
       REAL*4     Z_CWRM     ! EVAPO
       REAL*4     Z_CWRC     ! EVAPO
       REAL*4     Z_CWBS     ! EVAPO
       REAL*4     Z_CWBA     ! EVAPO
       REAL*4     Z_CWBH     ! EVAPO
       REAL*4     Z_C1       ! INTER
       REAL*4     Z_C2       ! INT.
       REAL*4     Z_CA       ! TOTAL
       REAL*4     Z_COX      ! OXYGE
       REAL*4     Z_CCPM     ! METAL
       REAL*4     Z_CDEVP    ! DELAY
       REAL*4     Z_CDRN     ! DELAY
       REAL*4     Z_CERN     ! RAIN-
      REAL*4     Z_CHOTW    ! 1/(#H
       REAL*4     Z_CKLS     ! HT TR
       REAL*4     Z_CKAL     ! HT XS
       REAL*4     Z_CKAS     ! HT XS
       REAL*4     Z_CKS      ! HEAT
       REAL*4     Z_CKW      ! WATER
       REAL*4     Z_CK2      ! HT XS
       REAL*4     Z_CKAT     ! HT XS
       REAL*4     Z_CKAIR    ! NORMA
       REAL*4     Z_CKHOT    ! ABOVE
       REAL*4     Z_CLBB     ! LEVEL
       REAL*4     Z_CLBT     ! LEVEL
       REAL*4     Z_CLDIV    ! HOTWE
       REAL*4     Z_CLKA     ! AIR I
       REAL*4     Z_CLTU     ! LENGT
       REAL*4     Z_CI1      ! INTER
       REAL*4     Z_CM1      ! SLOPE
       REAL*4     Z_CM2      ! SLOPE
       REAL*4     Z_CI1H2    ! INTER
       REAL*4     Z_CM1H2    ! SLOPE
       REAL*4     Z_CM2H2    ! SLOPE
       REAL*4     Z_CMM      ! MASS
       REAL*4     Z_CMW      ! MASS
       REAL*4     Z_CV       ! TOTAL
       REAL*4     X_CVINC11  ! HOTWE
       REAL*4     X_CVINC12  ! HOTWE
       REAL*4     X_CVINC21  ! HOTWE
       REAL*4     X_CVINC22  ! HOTWE
       REAL*4     Z_CVSWT    ! SWITC
       REAL*4     Z_CLHW(*)  ! HOTWE
       REAL*4     Z_CVMIN    ! MIN.
       REAL*4     Z_CX       ! LOCAL
       REAL*4     Z_CXH2     ! LOCAL
       REAL*4     TAFLO      ! LONG
       REAL*4     TAFMD      ! MEDIU
       REAL*4     TATAMB     ! AMBIE
       REAL*4     TAPAMB     ! AMBIE
       REAL*4     YITIM      ! ITERA
       REAL*4     YIFRE      ! FREQU
       REAL*4     Z_CPLAG    ! PRESS
       REAL*4     ZCCALD1    ! CALEN
       REAL*4     ZCCALD2    ! CALEN
       REAL*4     Z_CMMIN    ! MIN.
       REAL*4     Z_CMH      ! MIN S
       REAL*4     Z_CSTMTL   ! STEAM
       REAL*4     Z_CDTDH    ! DT/DH
       REAL*4     Z_CWTMIN   ! MIN.
       REAL*4     ZCCPWTR    ! HEAT
       REAL*4     ZCRAIR     ! GAS C
       REAL*4     ZCTABS     ! CONVE
       REAL*4     ZCPHEL     ! LEVEL
       REAL*4     ZCCPAIR    ! AIR S
       REAL*4     Z_XL1      ! BOX C
       REAL*4     Z_XL2      ! BOX C
       REAL*4     ZCTSR      ! VAPOR
       REAL*4     Z_XATE     ! TURBI
       REAL*4     Z_XATB     ! TURBI
       REAL*4     Z_XATB2    ! TURBI
       REAL*4     Z_XATB3    ! TURBI
       REAL*4     Z_XATB4    ! TURBI
       REAL*4     Z_XATB5    ! TURBI
       REAL*4     Z_XATB6    ! TURBI
       REAL*4     ZCWSMIN    ! MINIM
       REAL*4     ZCWLMIN    ! MINIM
       REAL*4     Z_RLD      ! CONDE
       REAL*4     Z_RMD      ! CONDE
       REAL*4     Z_RCD      ! CONDE
       REAL*4     Z_BOXYTE   ! TURB
       REAL*4     Z_BOXYTE2  ! LP ST
       REAL*4     Z_BOXYTB   ! TURB
       REAL*4     Z_BOXYTB2  ! TURB
       REAL*4     Z_BOXYTB3  ! TURB
       REAL*4     Z_BOXYTB4  ! TURB
       REAL*4     Z_BOXYTB5  ! TURB
       REAL*4     Z_BOXYSI   ! VARIO
       REAL*4     Z_BOXY     ! GLOBA
       REAL*4     Z_BOXYL    ! LOCAL
       REAL*4     Z_CX_2     ! LOCAL
      REAL*4     XC02WBOXY  ! STM INLET
      REAL*4     X_STML     ! MIN. LOCA
      REAL*4     Z_CPAIR    ! SPECIFIC
      REAL*4    Z_CEQFL   ! EQ LINE F
       REAL*4     ZCCA1RM    ! MAX.
       REAL*4     Z_XATE2    ! TURBI
       REAL*4     X_HLIN1    ! SUM O
       REAL*4     X_HLIN2    ! SUM O
       REAL*4     Z_RG131IDI1  ! HW1
       REAL*4     Z_RG132IDI1  ! HW1
       REAL*4     Z_RG132TEDI1 ! HW1
       REAL*4     Z_RG133IDI1  ! HW1
       REAL*4     Z_RG133XEDI1 ! HW1
       REAL*4     Z_RG134CSDI1 ! HW1
       REAL*4     Z_RG134IDI1  ! HW1
       REAL*4     Z_RG135IDI1  ! HW1
       REAL*4     Z_RG135XEDI1 ! HW1
       REAL*4     Z_RG136CSDI1 ! HW1
       REAL*4     Z_RG137CSDI1 ! HW1
       REAL*4     Z_RG138CSDI1 ! HW1
       REAL*4     Z_RG138XEDI1 ! HW1
       REAL*4     Z_RG140BADI1 ! HW1
       REAL*4     Z_RG140LADI1 ! HW1
       REAL*4     Z_RG144CEDI1 ! HW1
       REAL*4     Z_RG144CSDI1 ! HW1
       REAL*4     Z_RG144PRDI1 ! HW1
       REAL*4     Z_RG16NDI1   ! HW1
       REAL*4     Z_RG41ARDI1  ! HW1
       REAL*4     Z_RG60CODI1  ! HW1
       REAL*4     Z_RG85KRDI1  ! HW1
       REAL*4     Z_RG87KRDI1  ! HW1
       REAL*4     Z_RG88KRDI1  ! HW1
       REAL*4     Z_RG88RBDI1  ! HW1
       REAL*4     Z_RG89SRDI1  ! HW1
       REAL*4     Z_RG90SRDI1  ! HW1
       REAL*4     Z_RG90YDI1   ! HW1
       REAL*4     Z_RG91SRDI1  ! HW1
       REAL*4     Z_RG91YDI1   ! HW1
       REAL*4     Z_RG92SRDI1  ! HW1
       REAL*4     Z_RG92YDI1   ! HW1
       REAL*4     Z_RGM133XEDI1 ! HW
       REAL*4     Z_RGM135XEDI1 ! HW
       REAL*4     Z_RGM144PRDI1 ! HW
       REAL*4     Z_RGM85KRDI1 ! HW1
       REAL*4     Z_RG131ISI   ! VAR
       REAL*4     Z_RG132ISI   ! VAR
       REAL*4     Z_RG132TESI  ! VAR
       REAL*4     Z_RG133ISI   ! VAR
       REAL*4     Z_RG133XESI  ! VAR
       REAL*4     Z_RG134CSSI  ! VAR
       REAL*4     Z_RG134ISI   ! VAR
       REAL*4     Z_RG135ISI   ! VAR
       REAL*4     Z_RG135XESI  ! VAR
       REAL*4     Z_RG136CSSI  ! VAR
       REAL*4     Z_RG137CSSI  ! VAR
       REAL*4     Z_RG138CSSI  ! VAR
       REAL*4     Z_RG138XESI  ! VAR
       REAL*4     Z_RG140BASI  ! VAR
       REAL*4     Z_RG140LASI  ! VAR
       REAL*4     Z_RG144CESI  ! VAR
       REAL*4     Z_RG144CSSI  ! VAR
       REAL*4     Z_RG144PRSI  ! VAR
       REAL*4     Z_RG16NSI    ! VAR
       REAL*4     Z_RG41ARSI   ! VAR
       REAL*4     Z_RG60COSI   ! VAR
       REAL*4     Z_RG85KRSI   ! VAR
       REAL*4     Z_RG87KRSI   ! VAR
       REAL*4     Z_RG88KRSI   ! VAR
       REAL*4     Z_RG88RBSI   ! VAR
       REAL*4     Z_RG89SRSI   ! VAR
       REAL*4     Z_RG90SRSI   ! VAR
       REAL*4     Z_RG90YSI    ! VAR
       REAL*4     Z_RG91SRSI   ! VAR
       REAL*4     Z_RG91YSI    ! VAR
       REAL*4     Z_RG92SRSI   ! VAR
       REAL*4     Z_RG92YSI    ! VAR
       REAL*4     Z_RGM133XESI ! VAR
       REAL*4     Z_RGM135XESI ! VAR
       REAL*4     Z_RGM144PRSI ! VAR
       REAL*4     Z_RGM85KRSI  ! VAR
       REAL*4     Z_RG131IHW1  ! HOT
       REAL*4     Z_RG132IHW1  ! HOT
       REAL*4     Z_RG132TEHW1 ! HOT
       REAL*4     Z_RG133IHW1  ! HOT
       REAL*4     Z_RG133XEHW1 ! HOT
       REAL*4     Z_RG134CSHW1 ! HOT
       REAL*4     Z_RG134IHW1  ! HOT
       REAL*4     Z_RG135IHW1  ! HOT
       REAL*4     Z_RG135XEHW1 ! HOT
       REAL*4     Z_RG136CSHW1 ! HOT
       REAL*4     Z_RG137CSHW1 ! HOT
       REAL*4     Z_RG138CSHW1 ! HOT
       REAL*4     Z_RG138XEHW1 ! HOT
       REAL*4     Z_RG140BAHW1 ! HOT
       REAL*4     Z_RG140LAHW1 ! HOT
       REAL*4     Z_RG144CEHW1 ! HOT
       REAL*4     Z_RG144CSHW1 ! HOT
       REAL*4     Z_RG144PRHW1 ! HOT
       REAL*4     Z_RG16NHW1   ! HOT
       REAL*4     Z_RG41ARHW1  ! HOT
       REAL*4     Z_RG60COHW1  ! HOT
       REAL*4     Z_RG85KRHW1  ! HOT
       REAL*4     Z_RG87KRHW1  ! HOT
       REAL*4     Z_RG88KRHW1  ! HOT
       REAL*4     Z_RG88RBHW1  ! HOT
       REAL*4     Z_RG89SRHW1  ! HOT
       REAL*4     Z_RG90SRHW1  ! HOT
       REAL*4     Z_RG90YHW1   ! HOT
       REAL*4     Z_RG91SRHW1  ! HOT
       REAL*4     Z_RG91YHW1   ! HOT
       REAL*4     Z_RG92SRHW1  ! HOT
       REAL*4     Z_RG92YHW1   ! HOT
       REAL*4     Z_RGM133XEHW1 ! HO
       REAL*4     Z_RGM135XEHW1 ! HO
       REAL*4     Z_RGM144PRHW1 ! HO
       REAL*4     Z_RGM85KRHW1 ! HOT
       REAL*4     Z_RG131ITB   ! TUR
       REAL*4     Z_RG132ITB   ! TUR
       REAL*4     Z_RG132TETB  ! TUR
       REAL*4     Z_RG133ITB   ! TUR
       REAL*4     Z_RG133XETB  ! TUR
       REAL*4     Z_RG134CSTB  ! TUR
       REAL*4     Z_RG134ITB   ! TUR
       REAL*4     Z_RG135ITB   ! TUR
       REAL*4     Z_RG135XETB  ! TUR
       REAL*4     Z_RG136CSTB  ! TUR
       REAL*4     Z_RG137CSTB  ! TUR
       REAL*4     Z_RG138CSTB  ! TUR
       REAL*4     Z_RG138XETB  ! TUR
       REAL*4     Z_RG140BATB  ! TUR
       REAL*4     Z_RG140LATB  ! TUR
       REAL*4     Z_RG144CETB  ! TUR
       REAL*4     Z_RG144CSTB  ! TUR
       REAL*4     Z_RG144PRTB  ! TUR
       REAL*4     Z_RG16NTB    ! TUR
       REAL*4     Z_RG41ARTB   ! TUR
       REAL*4     Z_RG60COTB   ! TUR
       REAL*4     Z_RG85KRTB   ! TUR
       REAL*4     Z_RG87KRTB   ! TUR
       REAL*4     Z_RG88KRTB   ! TUR
       REAL*4     Z_RG88RBTB   ! TUR
       REAL*4     Z_RG89SRTB   ! TUR
       REAL*4     Z_RG90SRTB   ! TUR
       REAL*4     Z_RG90YTB    ! TUR
       REAL*4     Z_RG91SRTB   ! TUR
       REAL*4     Z_RG91YTB    ! TUR
       REAL*4     Z_RG92SRTB   ! TUR
       REAL*4     Z_RG92YTB    ! TUR
       REAL*4     Z_RGM133XETB ! TUR
       REAL*4     Z_RGM135XETB ! TUR
       REAL*4     Z_RGM144PRTB ! TUR
       REAL*4     Z_RGM85KRTB  ! TUR
       REAL*4     Z_RG131ITB2  ! TUR
       REAL*4     Z_RG132ITB2  ! TUR
       REAL*4     Z_RG132TETB2 ! TUR
       REAL*4     Z_RG133ITB2  ! TUR
       REAL*4     Z_RG133XETB2 ! TUR
       REAL*4     Z_RG134CSTB2 ! TUR
       REAL*4     Z_RG134ITB2  ! TUR
       REAL*4     Z_RG135ITB2  ! TUR
       REAL*4     Z_RG135XETB2 ! TUR
       REAL*4     Z_RG136CSTB2 ! TUR
       REAL*4     Z_RG137CSTB2 ! TUR
       REAL*4     Z_RG138CSTB2 ! TUR
       REAL*4     Z_RG138XETB2 ! TUR
       REAL*4     Z_RG140BATB2 ! TUR
       REAL*4     Z_RG140LATB2 ! TUR
       REAL*4     Z_RG144CETB2 ! TUR
       REAL*4     Z_RG144CSTB2 ! TUR
       REAL*4     Z_RG144PRTB2 ! TUR
       REAL*4     Z_RG16NTB2   ! TUR
       REAL*4     Z_RG41ARTB2  ! TUR
       REAL*4     Z_RG60COTB2  ! TUR
       REAL*4     Z_RG85KRTB2  ! TUR
       REAL*4     Z_RG87KRTB2  ! TUR
       REAL*4     Z_RG88KRTB2  ! TUR
       REAL*4     Z_RG88RBTB2  ! TUR
       REAL*4     Z_RG89SRTB2  ! TUR
       REAL*4     Z_RG90SRTB2  ! TUR
       REAL*4     Z_RG90YTB2   ! TUR
       REAL*4     Z_RG91SRTB2  ! TUR
       REAL*4     Z_RG91YTB2   ! TUR
       REAL*4     Z_RG92SRTB2  ! TUR
       REAL*4     Z_RG92YTB2   ! TUR
       REAL*4     Z_RGM133XETB2 ! TU
       REAL*4     Z_RGM135XETB2 ! TU
       REAL*4     Z_RGM144PRTB2 ! TU
       REAL*4     Z_RGM85KRTB2 ! TUR
       REAL*4     Z_RG131ITB3  ! TUR
       REAL*4     Z_RG132ITB3  ! TUR
       REAL*4     Z_RG132TETB3 ! TUR
       REAL*4     Z_RG133ITB3  ! TUR
       REAL*4     Z_RG133XETB3 ! TUR
       REAL*4     Z_RG134CSTB3 ! TUR
       REAL*4     Z_RG134ITB3  ! TUR
       REAL*4     Z_RG135ITB3  ! TUR
       REAL*4     Z_RG135XETB3 ! TUR
       REAL*4     Z_RG136CSTB3 ! TUR
       REAL*4     Z_RG137CSTB3 ! TUR
       REAL*4     Z_RG138CSTB3 ! TUR
       REAL*4     Z_RG138XETB3 ! TUR
       REAL*4     Z_RG140BATB3 ! TUR
       REAL*4     Z_RG140LATB3 ! TUR
       REAL*4     Z_RG144CETB3 ! TUR
       REAL*4     Z_RG144CSTB3 ! TUR
       REAL*4     Z_RG144PRTB3 ! TUR
       REAL*4     Z_RG16NTB3   ! TUR
       REAL*4     Z_RG41ARTB3  ! TUR
       REAL*4     Z_RG60COTB3  ! TUR
       REAL*4     Z_RG85KRTB3  ! TUR
       REAL*4     Z_RG87KRTB3  ! TUR
       REAL*4     Z_RG88KRTB3  ! TUR
       REAL*4     Z_RG88RBTB3  ! TUR
       REAL*4     Z_RG89SRTB3  ! TUR
       REAL*4     Z_RG90SRTB3  ! TUR
       REAL*4     Z_RG90YTB3   ! TUR
       REAL*4     Z_RG91SRTB3  ! TUR
       REAL*4     Z_RG91YTB3   ! TUR
       REAL*4     Z_RG92SRTB3  ! TUR
       REAL*4     Z_RG92YTB3   ! TUR
       REAL*4     Z_RGM133XETB3 ! TU
       REAL*4     Z_RGM135XETB3 ! TU
       REAL*4     Z_RGM144PRTB3 ! TU
       REAL*4     Z_RGM85KRTB3 ! TUR
       REAL*4     Z_RG131ITB4  ! TUR
       REAL*4     Z_RG132ITB4  ! TUR
       REAL*4     Z_RG132TETB4 ! TUR
       REAL*4     Z_RG133ITB4  ! TUR
       REAL*4     Z_RG133XETB4 ! TUR
       REAL*4     Z_RG134CSTB4 ! TUR
       REAL*4     Z_RG134ITB4  ! TUR
       REAL*4     Z_RG135ITB4  ! TUR
       REAL*4     Z_RG135XETB4 ! TUR
       REAL*4     Z_RG136CSTB4 ! TUR
       REAL*4     Z_RG137CSTB4 ! TUR
       REAL*4     Z_RG138CSTB4 ! TUR
       REAL*4     Z_RG138XETB4 ! TUR
       REAL*4     Z_RG140BATB4 ! TUR
       REAL*4     Z_RG140LATB4 ! TUR
       REAL*4     Z_RG144CETB4 ! TUR
       REAL*4     Z_RG144CSTB4 ! TUR
       REAL*4     Z_RG144PRTB4 ! TUR
       REAL*4     Z_RG16NTB4   ! TUR
       REAL*4     Z_RG41ARTB4  ! TUR
       REAL*4     Z_RG60COTB4  ! TUR
       REAL*4     Z_RG85KRTB4  ! TUR
       REAL*4     Z_RG87KRTB4  ! TUR
       REAL*4     Z_RG88KRTB4  ! TUR
       REAL*4     Z_RG88RBTB4  ! TUR
       REAL*4     Z_RG89SRTB4  ! TUR
       REAL*4     Z_RG90SRTB4  ! TUR
       REAL*4     Z_RG90YTB4   ! TUR
       REAL*4     Z_RG91SRTB4  ! TUR
       REAL*4     Z_RG91YTB4   ! TUR
       REAL*4     Z_RG92SRTB4  ! TUR
       REAL*4     Z_RG92YTB4   ! TUR
       REAL*4     Z_RGM133XETB4 ! TU
       REAL*4     Z_RGM135XETB4 ! TU
       REAL*4     Z_RGM144PRTB4 ! TU
       REAL*4     Z_RGM85KRTB4 ! TUR
       REAL*4     Z_RG131ITB5  ! TUR
       REAL*4     Z_RG132ITB5  ! TUR
       REAL*4     Z_RG132TETB5 ! TUR
       REAL*4     Z_RG133ITB5  ! TUR
       REAL*4     Z_RG133XETB5 ! TUR
       REAL*4     Z_RG134CSTB5 ! TUR
       REAL*4     Z_RG134ITB5  ! TUR
       REAL*4     Z_RG135ITB5  ! TUR
       REAL*4     Z_RG135XETB5 ! TUR
       REAL*4     Z_RG136CSTB5 ! TUR
       REAL*4     Z_RG137CSTB5 ! TUR
       REAL*4     Z_RG138CSTB5 ! TUR
       REAL*4     Z_RG138XETB5 ! TUR
       REAL*4     Z_RG140BATB5 ! TUR
       REAL*4     Z_RG140LATB5 ! TUR
       REAL*4     Z_RG144CETB5 ! TUR
       REAL*4     Z_RG144CSTB5 ! TUR
       REAL*4     Z_RG144PRTB5 ! TUR
       REAL*4     Z_RG16NTB5   ! TUR
       REAL*4     Z_RG41ARTB5  ! TUR
       REAL*4     Z_RG60COTB5  ! TUR
       REAL*4     Z_RG85KRTB5  ! TUR
       REAL*4     Z_RG87KRTB5  ! TUR
       REAL*4     Z_RG88KRTB5  ! TUR
       REAL*4     Z_RG88RBTB5  ! TUR
       REAL*4     Z_RG89SRTB5  ! TUR
       REAL*4     Z_RG90SRTB5  ! TUR
       REAL*4     Z_RG90YTB5   ! TUR
       REAL*4     Z_RG91SRTB5  ! TUR
       REAL*4     Z_RG91YTB5   ! TUR
       REAL*4     Z_RG92SRTB5  ! TUR
       REAL*4     Z_RG92YTB5   ! TUR
       REAL*4     Z_RGM133XETB5 ! TU
       REAL*4     Z_RGM135XETB5 ! TU
       REAL*4     Z_RGM144PRTB5 ! TU
       REAL*4     Z_RGM85KRTB5 ! TUR
       REAL*4     Z_RG131ITE   ! TUR
       REAL*4     Z_RG132ITE   ! TUR
       REAL*4     Z_RG132TETE  ! TUR
       REAL*4     Z_RG133ITE   ! TUR
       REAL*4     Z_RG133XETE  ! TUR
       REAL*4     Z_RG134CSTE  ! TUR
       REAL*4     Z_RG134ITE   ! TUR
       REAL*4     Z_RG135ITE   ! TUR
       REAL*4     Z_RG135XETE  ! TUR
       REAL*4     Z_RG136CSTE  ! TUR
       REAL*4     Z_RG137CSTE  ! TUR
       REAL*4     Z_RG138CSTE  ! TUR
       REAL*4     Z_RG138XETE  ! TUR
       REAL*4     Z_RG140BATE  ! TUR
       REAL*4     Z_RG140LATE  ! TUR
       REAL*4     Z_RG144CETE  ! TUR
       REAL*4     Z_RG144CSTE  ! TUR
       REAL*4     Z_RG144PRTE  ! TUR
       REAL*4     Z_RG16NTE    ! TUR
       REAL*4     Z_RG41ARTE   ! TUR
       REAL*4     Z_RG60COTE   ! TUR
       REAL*4     Z_RG85KRTE   ! TUR
       REAL*4     Z_RG87KRTE   ! TUR
       REAL*4     Z_RG88KRTE   ! TUR
       REAL*4     Z_RG88RBTE   ! TUR
       REAL*4     Z_RG89SRTE   ! TUR
       REAL*4     Z_RG90SRTE   ! TUR
       REAL*4     Z_RG90YTE    ! TUR
       REAL*4     Z_RG91SRTE   ! TUR
       REAL*4     Z_RG91YTE    ! TUR
       REAL*4     Z_RG92SRTE   ! TUR
       REAL*4     Z_RG92YTE    ! TUR
       REAL*4     Z_RGM133XETE ! TUR
       REAL*4     Z_RGM135XETE ! TUR
       REAL*4     Z_RGM144PRTE ! TUR
       REAL*4     Z_RGM85KRTE  ! TUR
       REAL*4     Z_RG131ITE2  ! TUR
       REAL*4     Z_RG132ITE2  ! TUR
       REAL*4     Z_RG132TETE2 ! TUR
       REAL*4     Z_RG133ITE2  ! TUR
       REAL*4     Z_RG133XETE2 ! TUR
       REAL*4     Z_RG134CSTE2 ! TUR
       REAL*4     Z_RG134ITE2  ! TUR
       REAL*4     Z_RG135ITE2  ! TUR
       REAL*4     Z_RG135XETE2 ! TUR
       REAL*4     Z_RG136CSTE2 ! TUR
       REAL*4     Z_RG137CSTE2 ! TUR
       REAL*4     Z_RG138CSTE2 ! TUR
       REAL*4     Z_RG138XETE2 ! TUR
       REAL*4     Z_RG140BATE2 ! TUR
       REAL*4     Z_RG140LATE2 ! TUR
       REAL*4     Z_RG144CETE2 ! TUR
       REAL*4     Z_RG144CSTE2 ! TUR
       REAL*4     Z_RG144PRTE2 ! TUR
       REAL*4     Z_RG16NTE2   ! TUR
       REAL*4     Z_RG41ARTE2  ! TUR
       REAL*4     Z_RG60COTE2  ! TUR
       REAL*4     Z_RG85KRTE2  ! TUR
       REAL*4     Z_RG87KRTE2  ! TUR
       REAL*4     Z_RG88KRTE2  ! TUR
       REAL*4     Z_RG88RBTE2  ! TUR
       REAL*4     Z_RG89SRTE2  ! TUR
       REAL*4     Z_RG90SRTE2  ! TUR
       REAL*4     Z_RG90YTE2   ! TUR
       REAL*4     Z_RG91SRTE2  ! TUR
       REAL*4     Z_RG91YTE2   ! URB
       REAL*4     Z_RG92SRTE2  ! TUR
       REAL*4     Z_RG92YTE2   ! TUR
       REAL*4     Z_RGM133XETE2 ! TU
       REAL*4     Z_RGM135XETE2 ! TU
       REAL*4     Z_RGM144PRTE2 ! TU
       REAL*4     Z_RGM85KRTE2 ! TUR
       REAL*4     Z_G131I      ! CON
       REAL*4     Z_G132I      ! CON
       REAL*4     Z_G132TE     ! CON
       REAL*4     Z_G133I      ! CON
       REAL*4     Z_G133XE     ! CON
       REAL*4     Z_G134CS     ! CON
       REAL*4     Z_G134I      ! CON
       REAL*4     Z_G135I      ! CON
       REAL*4     Z_G135XE     ! CON
       REAL*4     Z_G136CS     ! CON
       REAL*4     Z_G137CS     ! CON
       REAL*4     Z_G138CS     ! CON
       REAL*4     Z_G138XE     ! CON
       REAL*4     Z_G140BA     ! CON
       REAL*4     Z_G140LA     ! CON
       REAL*4     Z_G144CE     ! CON
       REAL*4     Z_G144CS     ! CON
       REAL*4     Z_G144PR     ! CON
       REAL*4     Z_G16N       ! CON
       REAL*4     Z_G41AR      ! CON
       REAL*4     Z_G60CO      ! CON
       REAL*4     Z_G85KR      ! CON
       REAL*4     Z_G87KR      ! CON
       REAL*4     Z_G88KR      ! CON
       REAL*4     Z_G88RB      ! CON
       REAL*4     Z_G89SR      ! CON
       REAL*4     Z_G90SR      ! CON
       REAL*4     Z_G90Y       ! CON
       REAL*4     Z_G91SR      ! CON
       REAL*4     Z_G91Y       ! CON
       REAL*4     Z_G92SR      ! CON
       REAL*4     Z_G92Y       ! CON
       REAL*4     Z_GM133XE    ! CON
       REAL*4     Z_GM135XE    ! CON
       REAL*4     Z_GM144PR    ! CON
       REAL*4     Z_GM85KR     ! CON
       REAL*4     Z_CWG131I    ! EVA
       REAL*4     Z_CWG132I    ! EVA
       REAL*4     Z_CWG132TE   ! EVA
       REAL*4     Z_CWG133I    ! EVA
       REAL*4     Z_CWG133XE   ! EVA
       REAL*4     Z_CWG134CS   ! EVA
       REAL*4     Z_CWG134I    ! EVA
       REAL*4     Z_CWG135I    ! EVA
       REAL*4     Z_CWG135XE   ! EVA
       REAL*4     Z_CWG136CS   ! EVA
       REAL*4     Z_CWG137CS   ! EVA
       REAL*4     Z_CWG138CS   ! EVA
       REAL*4     Z_CWG138XE   ! EVA
       REAL*4     Z_CWG140BA   ! EVA
       REAL*4     Z_CWG140LA   ! EVA
       REAL*4     Z_CWG144CE   ! EVA
       REAL*4     Z_CWG144CS   ! EVA
       REAL*4     Z_CWG144PR   ! EVA
       REAL*4     Z_CWG16N     ! EVA
       REAL*4     Z_CWG41AR    ! EVA
       REAL*4     Z_CWG60CO    ! EVA
       REAL*4     Z_CWG85KR    ! EVA
       REAL*4     Z_CWG87KR    ! EVA
       REAL*4     Z_CWG88KR    ! EVA
       REAL*4     Z_CWG88RB    ! EVA
       REAL*4     Z_CWG89SR    ! EVA
       REAL*4     Z_CWG90SR    ! EVA
       REAL*4     Z_CWG90Y     ! EVA
       REAL*4     Z_CWG91SR    ! EVA
       REAL*4     Z_CWG91Y     ! EVA
       REAL*4     Z_CWG92SR    ! EVA
       REAL*4     Z_CWG92Y     ! EVA
       REAL*4     Z_CWGM133XE  ! EVA
       REAL*4     Z_CWGM135XE  ! EVA
       REAL*4     Z_CWGM144PR  ! EVA
       REAL*4     Z_CWGM85KR   ! EVA
       REAL*4     Z_RG131ID    ! CON
       REAL*4     Z_RG132ID    ! CON
       REAL*4     Z_RG132TED   ! CON
       REAL*4     Z_RG133ID    ! CON
       REAL*4     Z_RG133XED   ! CON
       REAL*4     Z_RG134CSD   ! CON
       REAL*4     Z_RG134ID    ! CON
       REAL*4     Z_RG135ID    ! CON
       REAL*4     Z_RG135XED   ! CON
       REAL*4     Z_RG136CSD   ! CON
       REAL*4     Z_RG137CSD   ! CON
       REAL*4     Z_RG138CSD   ! CON
       REAL*4     Z_RG138XED   ! CON
       REAL*4     Z_RG140BAD   ! CON
       REAL*4     Z_RG140LAD   ! CON
       REAL*4     Z_RG144CED   ! CON
       REAL*4     Z_RG144CSD   ! CON
       REAL*4     Z_RG144PRD   ! CON
       REAL*4     Z_RG16ND     ! CON
       REAL*4     Z_RG41ARD    ! CON
       REAL*4     Z_RG60COD    ! CON
       REAL*4     Z_RG85KRD    ! CON
       REAL*4     Z_RG87KRD    ! CON
       REAL*4     Z_RG88KRD    ! CON
       REAL*4     Z_RG88RBD    ! CON
       REAL*4     Z_RG89SRD    ! CON
       REAL*4     Z_RG90SRD    ! CON
       REAL*4     Z_RG90YD     ! CON
       REAL*4     Z_RG91SRD    ! CON
       REAL*4     Z_RG91YD     ! CON
       REAL*4     Z_RG92SRD    ! CON
       REAL*4     Z_RG92YD     ! CON
       REAL*4     Z_RGM133XED  ! CON
       REAL*4     Z_RGM135XED  ! CON
       REAL*4     Z_RGM144PRD  ! CON
       REAL*4     Z_RGM85KRD   ! CON
       REAL*4     ZNDFRAC131I(36)  !
       REAL*4     ZNDFRAC132I(36)  !
       REAL*4     ZNDFRAC132TE(36) !
       REAL*4     ZNDFRAC133I(36)  !
       REAL*4     ZNDFRAC133XE(36) !
       REAL*4     ZNDFRAC134CS(36) !
       REAL*4     ZNDFRAC134I(36)  !
       REAL*4     ZNDFRAC135I(36)  !
       REAL*4     ZNDFRAC135XE(36) !
       REAL*4     ZNDFRAC136CS(36) !
       REAL*4     ZNDFRAC137CS(36) !
       REAL*4     ZNDFRAC138CS(36) !
       REAL*4     ZNDFRAC138XE(36) !
       REAL*4     ZNDFRAC140BA(36) !
       REAL*4     ZNDFRAC140LA(36) !
       REAL*4     ZNDFRAC144CE(36) !
       REAL*4     ZNDFRAC144CS(36) !
       REAL*4     ZNDFRAC144PR(36) !
       REAL*4     ZNDFRAC16N(36)   !
       REAL*4     ZNDFRAC41AR(36)  !
       REAL*4     ZNDFRAC60CO(36)  !
       REAL*4     ZNDFRAC85KR(36)  !
       REAL*4     ZNDFRAC87KR(36)  !
       REAL*4     ZNDFRAC88KR(36)  !
       REAL*4     ZNDFRAC88RB(36)  !
       REAL*4     ZNDFRAC89SR(36)  !
       REAL*4     ZNDFRAC90SR(36)  !
       REAL*4     ZNDFRAC90Y(36)   !
       REAL*4     ZNDFRAC91SR(36)  !
       REAL*4     ZNDFRAC91Y(36)   !
       REAL*4     ZNDFRAC92SR(36)  !
       REAL*4     ZNDFRAC92Y(36)   !
       REAL*4     ZNDFRACM133XE(36)
       REAL*4     ZNDFRACM135XE(36)
       REAL*4     ZNDFRACM144PR(36)
       REAL*4     ZNDFRACM85KR(36) !
       REAL*4     Z_RG131ITB6  ! TUR
       REAL*4     Z_RG132ITB6  ! TUR
       REAL*4     Z_RG132TETB6 ! TUR
       REAL*4     Z_RG133ITB6  ! TUR
       REAL*4     Z_RG133XETB6 ! TUR
       REAL*4     Z_RG134CSTB6 ! TUR
       REAL*4     Z_RG134ITB6  ! TUR
       REAL*4     Z_RG135ITB6  ! TUR
       REAL*4     Z_RG135XETB6 ! TUR
       REAL*4     Z_RG136CSTB6 ! TUR
       REAL*4     Z_RG137CSTB6 ! TUR
       REAL*4     Z_RG138CSTB6 ! TUR
       REAL*4     Z_RG138XETB6 ! TUR
       REAL*4     Z_RG140BATB6 ! TUR
       REAL*4     Z_RG140LATB6 ! TUR
       REAL*4     Z_RG144CETB6 ! TUR
       REAL*4     Z_RG144CSTB6 ! TUR
       REAL*4     Z_RG144PRTB6 ! TUR
       REAL*4     Z_RG16NTB6   ! TUR
       REAL*4     Z_RG41ARTB6  ! TUR
       REAL*4     Z_RG60COTB6  ! TUR
       REAL*4     Z_RG85KRTB6  ! TUR
       REAL*4     Z_RG87KRTB6  ! TUR
       REAL*4     Z_RG88KRTB6  ! TUR
       REAL*4     Z_RG88RBTB6  ! TUR
       REAL*4     Z_RG89SRTB6  ! TUR
       REAL*4     Z_RG90SRTB6  ! TUR
       REAL*4     Z_RG90YTB6   ! TUR
       REAL*4     Z_RG91SRTB6  ! TUR
       REAL*4     Z_RG91YTB6   ! TUR
       REAL*4     Z_RG92SRTB6  ! TUR
       REAL*4     Z_RG92YTB6   ! TUR
       REAL*4     Z_RGM133XETB6 ! TU
       REAL*4     Z_RGM135XETB6 ! TU
       REAL*4     Z_RGM144PRTB6 ! TU
       REAL*4     Z_RGM85KRTB6 ! TUR
       REAL*4     Z_HTB6     ! TURB
       REAL*4     Z_WTB6     ! TURB
       REAL*4     Z_PTB6     ! TURB
       REAL*4     Z_BN2TB6   ! TURB
       REAL*4     Z_BHYDTB6  ! TURB
       REAL*4     Z_BOXYTB6  ! TURB
       REAL*4     Z_BSTB6    ! TURB
       REAL*4     Z_BATB6    ! TURB
       REAL*4     Z_BHTB6    ! TURB


       REAL*4     Z_BAHW1A   ! HOTWE
       REAL*4     Z_BAHW1B   ! HOTWE
       REAL*4     Z_BSHW1A   ! HOTWE
       REAL*4     Z_BSHW1B   ! HOTWE
       REAL*4     Z_BHHW1A   ! HOTWE
       REAL*4     Z_BHHW1B   ! HOTWE
       REAL*4     Z_WWO1A    ! HOTWE
       REAL*4     Z_WWO1B    ! HOTWE
       REAL*4     Z_WWO2A    ! HOTWE
       REAL*4     Z_WWO2B    ! HOTWE
       REAL*4     Z_HLIN1A   ! HOTWE
       REAL*4     Z_HLIN1B   ! HOTWE
       REAL*4     Z_HLIN2A   ! HOTWE
       REAL*4     Z_HLIN2B   ! HOTWE
       REAL*4     Z_CKSUB    ! HT XF

       REAL*4     Z_WN2I     !CONDEN
       REAL*4     Z_WN2O     !CONDEN
       REAL*4     Z_WO2I     !CONDEN
       REAL*4     Z_WO2O     !CONDEN
       REAL*4     Z_BOXYDI1  !VARIOU
       REAL*4     Z_BOXYDI2  !VARIOU
       REAL*4     Z_BN2DI1   !VARIOU
       REAL*4     Z_BN2DI2   !VARIOU

       REAL*4     Z_MO2      ! MASS
       REAL*4     Z_MN2      ! MASS
       REAL*4     Z_MGAS     ! CONDE
       REAL*4     Z_XH2O     ! A/R H
       REAL*4     ZH2OGAS    ! GLOBA
       REAL*4     Z_HGAS     ! CONDE
       REAL*4     Z_HGASL    ! LOCAL
       REAL*4     Z_HAIR     ! ENTHA
       REAL*4     Z_TTOTL    ! TEMPE
       REAL*4     Z_CPMIX    ! SPECI

       REAL*4     Z_MG131I      ! ST
       REAL*4     Z_MG132I      ! ST
       REAL*4     Z_MG132TE     ! ST
       REAL*4     Z_MG133I      ! ST
       REAL*4     Z_MG133XE     ! ST
       REAL*4     Z_MG134CS     ! ST
       REAL*4     Z_MG134I      ! ST
       REAL*4     Z_MG135I      ! ST
       REAL*4     Z_MG135XE     ! ST
       REAL*4     Z_MG136CS     ! ST
       REAL*4     Z_MG137CS     ! ST
       REAL*4     Z_MG138CS     ! ST
       REAL*4     Z_MG138XE     ! ST
       REAL*4     Z_MG140BA     ! ST
       REAL*4     Z_MG140LA     ! ST
       REAL*4     Z_MG144CE     ! ST
       REAL*4     Z_MG144CS     ! ST
       REAL*4     Z_MG144PR     ! ST
       REAL*4     Z_MG16N       ! ST
       REAL*4     Z_MG41AR      ! ST
       REAL*4     Z_MG60CO      ! ST
       REAL*4     Z_MG85KR      ! ST
       REAL*4     Z_MG87KR      ! ST
       REAL*4     Z_MG88KR      ! ST
       REAL*4     Z_MG88RB      ! ST
       REAL*4     Z_MG89SR      ! ST
       REAL*4     Z_MG90SR      ! ST
       REAL*4     Z_MG90Y       ! ST
       REAL*4     Z_MG91SR      ! ST
       REAL*4     Z_MG91Y       ! ST
       REAL*4     Z_MG92SR      ! ST
       REAL*4     Z_MG92Y       ! ST
       REAL*4     Z_MGM133XE    ! ST
       REAL*4     Z_MGM135XE    ! ST
       REAL*4     Z_MGM144PR    ! ST
       REAL*4     Z_MGM85KR     ! ST

       REAL*4     Z_MHW131I     ! HO
       REAL*4     Z_MHW132I     ! HO
       REAL*4     Z_MHW132TE    ! HO
       REAL*4     Z_MHW133I     ! HO
       REAL*4     Z_MHW133XE    ! HO
       REAL*4     Z_MHW134CS    ! HO
       REAL*4     Z_MHW134I     ! HO
       REAL*4     Z_MHW135I     ! HO
       REAL*4     Z_MHW135XE    ! HO
       REAL*4     Z_MHW136CS    ! HO
       REAL*4     Z_MHW137CS    ! HO
       REAL*4     Z_MHW138CS    ! HO
       REAL*4     Z_MHW138XE    ! HO
       REAL*4     Z_MHW140BA    ! HO
       REAL*4     Z_MHW140LA    ! HO
       REAL*4     Z_MHW144CE    ! HO
       REAL*4     Z_MHW144CS    ! HO
       REAL*4     Z_MHW144PR    ! HO
       REAL*4     Z_MHW16N      ! HO
       REAL*4     Z_MHW41AR     ! HO
       REAL*4     Z_MHW60CO     ! HO
       REAL*4     Z_MHW85KR     ! HO
       REAL*4     Z_MHW87KR     ! HO
       REAL*4     Z_MHW88KR     ! HO
       REAL*4     Z_MHW88RB     ! HO
       REAL*4     Z_MHW89SR     ! HO
       REAL*4     Z_MHW90SR     ! HO
       REAL*4     Z_MHW90Y      ! HO
       REAL*4     Z_MHW91SR     ! HO
       REAL*4     Z_MHW91Y      ! HO
       REAL*4     Z_MHW92SR     ! HO
       REAL*4     Z_MHW92Y      ! HO
       REAL*4     Z_MHWM133XE   ! HO
       REAL*4     Z_MHWM135XE   ! HO
       REAL*4     Z_MHWM144PR   ! HO
       REAL*4     Z_MHWM85KR    ! HO
C

       REAL*4 Z_131IAR1         ! A/
       REAL*4 Z_132IAR1         ! A/
       REAL*4 Z_132TEAR1        ! A/
       REAL*4 Z_133IAR1         ! A/
       REAL*4 Z_133XEAR1        ! A/
       REAL*4 Z_134CSAR1        ! A/
       REAL*4 Z_134IAR1         ! A/
       REAL*4 Z_135IAR1         ! A/
       REAL*4 Z_135XEAR1        ! A/
       REAL*4 Z_136CSAR1        ! A/
       REAL*4 Z_137CSAR1        ! A/
       REAL*4 Z_138CSAR1        ! A/
       REAL*4 Z_138XEAR1        ! A/
       REAL*4 Z_140BAAR1        ! A/
       REAL*4 Z_140LAAR1        ! A/
       REAL*4 Z_144CEAR1        ! A/
       REAL*4 Z_144CSAR1        ! A/
       REAL*4 Z_144PRAR1        ! A/
       REAL*4 Z_16NAR1          ! A/
       REAL*4 Z_41ARAR1         ! A/
       REAL*4 Z_60COAR1         ! A/
       REAL*4 Z_85KRAR1         ! A/
       REAL*4 Z_87KRAR1         ! A/
       REAL*4 Z_88KRAR1         ! A/
       REAL*4 Z_88RBAR1         ! A/
       REAL*4 Z_89SRAR1         ! A/
       REAL*4 Z_90SRAR1         ! A/
       REAL*4 Z_90YAR1          ! A/
       REAL*4 Z_91SRAR1         ! A/
       REAL*4 Z_91YAR1          ! A/
       REAL*4 Z_92SRAR1         ! A/
       REAL*4 Z_92YAR1          ! A/
       REAL*4 Z_M133XEAR1       ! A/
       REAL*4 Z_M135XEAR1       ! A/
       REAL*4 Z_M144PRAR1       ! A/
       REAL*4 Z_M85KRAR1        ! A/

       REAL*4 Z_HAR1            ! A/
       REAL*4 Z_WAR1            ! A/
       REAL*4 Z_BGASAR1         ! A/
       REAL*4 Z_BN2AR1          ! A/
       REAL*4 Z_BHYDAR1         ! A/
       REAL*4 Z_BOXYAR1         ! A/
       REAL*4 Z_XAAR1           ! A/
       REAL*4 Z_XH2OAR1         ! A/

       REAL*4 Z_131IAR2         ! A/
       REAL*4 Z_132IAR2         ! A/
       REAL*4 Z_132TEAR2        ! A/
       REAL*4 Z_133IAR2         ! A/
       REAL*4 Z_133XEAR2        ! A/
       REAL*4 Z_134CSAR2        ! A/
       REAL*4 Z_134IAR2         ! A/
       REAL*4 Z_135IAR2         ! A/
       REAL*4 Z_135XEAR2        ! A/
       REAL*4 Z_136CSAR2        ! A/
       REAL*4 Z_137CSAR2        ! A/
       REAL*4 Z_138CSAR2        ! A/
       REAL*4 Z_138XEAR2        ! A/
       REAL*4 Z_140BAAR2        ! A/
       REAL*4 Z_140LAAR2        ! A/
       REAL*4 Z_144CEAR2        ! A/
       REAL*4 Z_144CSAR2        ! A/
       REAL*4 Z_144PRAR2        ! A/
       REAL*4 Z_16NAR2          ! A/
       REAL*4 Z_41ARAR2         ! A/
       REAL*4 Z_60COAR2         ! A/
       REAL*4 Z_85KRAR2         ! A/
       REAL*4 Z_87KRAR2         ! A/
       REAL*4 Z_88KRAR2         ! A/
       REAL*4 Z_88RBAR2         ! A/
       REAL*4 Z_89SRAR2         ! A/
       REAL*4 Z_90SRAR2         ! A/
       REAL*4 Z_90YAR2          ! A/
       REAL*4 Z_91SRAR2         ! A/
       REAL*4 Z_91YAR2          ! A/
       REAL*4 Z_92SRAR2         ! A/
       REAL*4 Z_92YAR2          ! A/
       REAL*4 Z_M133XEAR2       ! A/
       REAL*4 Z_M135XEAR2       ! A/
       REAL*4 Z_M144PRAR2       ! A/
       REAL*4 Z_M85KRAR2       ! A/R

       REAL*4 Z_HAR2            ! A/
       REAL*4 Z_WAR2            ! A/
       REAL*4 Z_BGASAR2         ! A/
       REAL*4 Z_BN2AR2          ! A/
       REAL*4 Z_BHYDAR2         ! A/
       REAL*4 Z_BOXYAR2         ! A/
       REAL*4 Z_XAAR2           ! A/
       REAL*4 Z_XH2OAR2         ! A/

       REAL*4 Z_BOXYL2
       REAL*4 Z_BN2L2
       REAL*4 Z_BHYDL2
       REAL*4 Z_HGASL2
       REAL*4 Z_TTOTL2
       REAL*4 Z_XH2O2           ! A/

C     ====================
C     Integer Declarations
C     ====================
C
C
       INTEGER*4  Z_IH1      ! INDEX
       INTEGER*4  Z_IH2      ! INDEX
       INTEGER*4  Z_IP       ! INDEX
       INTEGER*4  Z_IHL1     ! 2-D E
       INTEGER*4  Z_IHL2     ! 2-D E
       INTEGER*4  Z_IPL1     ! 2-D P
       INTEGER*4  Z_IPL2     ! 2-D P
       INTEGER*4  Z_IDG      ! INDEX
       INTEGER*4  Z_CKL1     ! NUMBE
       INTEGER*4  Z_CKLMAX   ! NUMBE

C
C
C
C     ====================
C     Logical Declarations
C     ====================
C
      LOGICAL*4  Z_CBUND
C
C
C     ====================
C     EXTRA DECLARATIONS
C     ====================
C
      REAL*4 XC02WEQR
      REAL*4 Z_BN2LEFT
      REAL*4 Z_BO2LEFT
      REAL*4 Z_BN2RIGHT
      REAL*4 Z_BO2RIGHT
C
      END SUBROUTINE MAP$ZC02
      end module M

      program P
      use M
      integer*4 Z_CKL1
      real*4 Z_CLHW(1)
      integer*4 Z_IH1
      integer*4 Z_IH2
      integer*4 Z_IP
      integer*4 Z_IHL1
      integer*4 Z_IHL2
      integer*4 Z_IPL1
      integer*4 Z_IPL2
      integer*4 Z_IDG
      integer*4 Z_CKLMAX
      LOGICAL*4 Z_CBUND
       REAL*4     ZNDFRAC131I(36)  !
       REAL*4     ZNDFRAC132I(36)  !
       REAL*4     ZNDFRAC132TE(36) !
       REAL*4     ZNDFRAC133I(36)  !
       REAL*4     ZNDFRAC133XE(36) !
       REAL*4     ZNDFRAC134CS(36) !
       REAL*4     ZNDFRAC134I(36)  !
       REAL*4     ZNDFRAC135I(36)  !
       REAL*4     ZNDFRAC135XE(36) !
       REAL*4     ZNDFRAC136CS(36) !
       REAL*4     ZNDFRAC137CS(36) !
       REAL*4     ZNDFRAC138CS(36) !
       REAL*4     ZNDFRAC138XE(36) !
       REAL*4     ZNDFRAC140BA(36) !
       REAL*4     ZNDFRAC140LA(36) !
       REAL*4     ZNDFRAC144CE(36) !
       REAL*4     ZNDFRAC144CS(36) !
       REAL*4     ZNDFRAC144PR(36) !
       REAL*4     ZNDFRAC16N(36)   !
       REAL*4     ZNDFRAC41AR(36)  !
       REAL*4     ZNDFRAC60CO(36)  !
       REAL*4     ZNDFRAC85KR(36)  !
       REAL*4     ZNDFRAC87KR(36)  !
       REAL*4     ZNDFRAC88KR(36)  !
       REAL*4     ZNDFRAC88RB(36)  !
       REAL*4     ZNDFRAC89SR(36)  !
       REAL*4     ZNDFRAC90SR(36)  !
       REAL*4     ZNDFRAC90Y(36)   !
       REAL*4     ZNDFRAC91SR(36)  !
       REAL*4     ZNDFRAC91Y(36)   !
       REAL*4     ZNDFRAC92SR(36)  !
       REAL*4     ZNDFRAC92Y(36)   !
       REAL*4     ZNDFRACM133XE(36)
       REAL*4     ZNDFRACM135XE(36)
       REAL*4     ZNDFRACM144PR(36)
       REAL*4     ZNDFRACM85KR(36) !
      call MAP$ZC02(
     &     Z_WTE  =  Z_WTE  ,
     &     Z_PTE  =  Z_PTE  ,
     &     Z_HTE  =  Z_HTE  ,
     &     Z_BSTE  =  Z_BSTE  ,
     &     Z_BATE  =  Z_BATE  ,
     &     Z_BHTE  =  Z_BHTE  ,
     &     Z_XATE  =  Z_XATE  ,
     &     Z_XATB  =  Z_XATB  ,
     &     Z_WTE2  =  Z_WTE2  ,
     &     Z_PTE2  =  Z_PTE2  ,
     &     Z_HTE2  =  Z_HTE2  ,
     &     Z_BSTE2  =  Z_BSTE2  ,
     &     Z_BATE2  =  Z_BATE2  ,
     &     Z_BHTE2  =  Z_BHTE2  ,
     &     Z_WTB  =  Z_WTB  ,
     &     Z_PTB  =  Z_PTB  ,
     &     Z_HTB  =  Z_HTB  ,
     &     Z_BSTB  =  Z_BSTB  ,
     &     Z_BATB  =  Z_BATB  ,
     &     Z_BHTB  =  Z_BHTB  ,
     &     Z_WTB2  =  Z_WTB2  ,
     &     Z_PTB2  =  Z_PTB2  ,
     &     Z_HTB2  =  Z_HTB2  ,
     &     Z_BSTB2  =  Z_BSTB2  ,
     &     Z_BATB2  =  Z_BATB2  ,
     &     Z_BHTB2  =  Z_BHTB2  ,
     &     Z_WTB3  =  Z_WTB3  ,
     &     Z_PTB3  =  Z_PTB3  ,
     &     Z_HTB3  =  Z_HTB3  ,
     &     Z_BSTB3  =  Z_BSTB3  ,
     &     Z_BATB3  =  Z_BATB3  ,
     &     Z_BHTB3  =  Z_BHTB3  ,
     &     Z_WTB4  =  Z_WTB4  ,
     &     Z_PTB4  =  Z_PTB4  ,
     &     Z_HTB4  =  Z_HTB4  ,
     &     Z_BSTB4  =  Z_BSTB4  ,
     &     Z_BATB4  =  Z_BATB4  ,
     &     Z_BHTB4  =  Z_BHTB4  ,
     &     Z_WTB5  =  Z_WTB5  ,
     &     Z_PTB5  =  Z_PTB5  ,
     &     Z_HTB5  =  Z_HTB5  ,
     &     Z_BSTB5  =  Z_BSTB5  ,
     &     Z_BATB5  =  Z_BATB5  ,
     &     Z_BHTB5  =  Z_BHTB5  ,
     &     Z_WSI  =  Z_WSI  ,
     &     Z_HSI  =  Z_HSI  ,
     &     Z_BSSI  =  Z_BSSI  ,
     &     Z_BASI  =  Z_BASI  ,
     &     Z_BHSI  =  Z_BHSI  ,
     &     Z_WDI1  =  Z_WDI1  ,
     &     Z_WDI2  =  Z_WDI2  ,
     &     Z_HDI1  =  Z_HDI1  ,
     &     Z_HDI2  =  Z_HDI2  ,
     &     Z_BSDI1  =  Z_BSDI1  ,
     &     Z_BADI1  =  Z_BADI1  ,
     &     Z_BHDI1  =  Z_BHDI1  ,
     &     Z_WWO1  =  Z_WWO1  ,
     &     Z_WWO2  =  Z_WWO2  ,
     &     Z_WSO  =  Z_WSO  ,
     &     Z_WA1  =  Z_WA1  ,
     &     Z_WA2  =  Z_WA2  ,
     &     Z_WC1  =  Z_WC1  ,
     &     Z_WC2  =  Z_WC2  ,
     &     Z_TCI1  =  Z_TCI1  ,
     &     Z_TCI2  =  Z_TCI2  ,
     &     Z_PEQL  =  Z_PEQL  ,
     &     Z_HEQL  =  Z_HEQL  ,
     &     Z_XEQL  =  Z_XEQL  ,
     &     Z_WAEQL  =  Z_WAEQL  ,
     &     Z_WSEQL  =  Z_WSEQL  ,
     &     Z_PEQR  =  Z_PEQR  ,
     &     Z_HEQR  =  Z_HEQR  ,
     &     Z_XEQR  =  Z_XEQR  ,
     &     Z_MEQR  =  Z_MEQR  ,
     &     TVZ_0001  =  Z_LEAK  ,
     &     TAZ_F1  =  ZFOUL1  ,
     &     TAZ_F2  =  ZFOUL2  ,
     &     TAZ_VAC  =  TAZ_VAC  ,
     &     Z_BA  =  Z_BA  ,
     &     Z_BS  =  Z_BS  ,
     &     Z_BH  =  Z_BH  ,
     &     Z_BO1  =  Z_BO1  ,
     &     Z_BO2  =  Z_BO2  ,
     &     Z_BS1  =  Z_BS1  ,
     &     Z_BS2  =  Z_BS2  ,
     &     Z_BA1  =  Z_BA1  ,
     &     Z_BA2  =  Z_BA2  ,
     &     Z_BH1  =  Z_BH1  ,
     &     Z_BH2  =  Z_BH2  ,
     &     Z_DL1  =  Z_DL1  ,
     &     Z_DL2  =  Z_DL2  ,
     &     Z_DSTM  =  Z_DSTM  ,
     &     Z_HL1  =  Z_HL1  ,
     &     Z_HL2  =  Z_HL2  ,
     &     Z_HFD  =  Z_HFD  ,
     &     Z_HGD  =  Z_HGD  ,
     &     Z_HGPT  =  Z_HGPT  ,
     &     Z_CPGPT  =  Z_CPGPT  ,
     &     Z_HSTM  =  Z_HSTM  ,
     &     Z_L1  =  Z_L1  ,
     &     Z_L2  =  Z_L2  ,
     &     Z_MAIR  =  Z_MAIR  ,
     &     Z_ML1  =  Z_ML1  ,
     &     Z_ML2  =  Z_ML2  ,
     &     Z_MSTM  =  Z_MSTM  ,
     &     Z_PAIR  =  Z_PAIR  ,
     &     Z_PTOT  =  Z_PTOT  ,
     &     Z_PTOTB1  =  Z_PTOTB1  ,
     &     Z_PTOTB2  =  Z_PTOTB2  ,
     &     Z_PSTM  =  Z_PSTM  ,
     &     Z_Q1  =  Z_Q1  ,
     &     Z_Q2  =  Z_Q2  ,
     &     Z_QLS1  =  Z_QLS1  ,
     &     Z_QLS2  =  Z_QLS2  ,
     &     Z_QW1  =  Z_QW1  ,
     &     Z_QW2  =  Z_QW2  ,
     &     Z_R1  =  Z_R1  ,
     &     Z_R2  =  Z_R2  ,
     &     Z_TCO1  =  Z_TCO1  ,
     &     Z_TCO2  =  Z_TCO2  ,
     &     Z_TL1  =  Z_TL1  ,
     &     Z_TL2  =  Z_TL2  ,
     &     Z_TM1  =  Z_TM1  ,
     &     Z_TM2  =  Z_TM2  ,
     &     Z_TSAT  =  Z_TSAT  ,
     &     Z_TSTM  =  Z_TSTM  ,
     &     Z_TTOT  =  Z_TTOT  ,
     &     Z_TWM1  =  Z_TWM1  ,
     &     Z_TWM2  =  Z_TWM2  ,
     &     Z_VL1  =  Z_VL1  ,
     &     Z_VL2  =  Z_VL2  ,
     &     Z_VSTM  =  Z_VSTM  ,
     &     Z_WAN  =  Z_WAN  ,
     &     Z_WAI  =  Z_WAI  ,
     &     Z_WAO  =  Z_WAO  ,
     &     Z_WCN1  =  Z_WCN1  ,
     &     Z_WCN2  =  Z_WCN2  ,
     &     Z_WEVP1  =  Z_WEVP1  ,
     &     Z_WEVP2  =  Z_WEVP2  ,
     &     Z_WRN  =  Z_WRN  ,
     &     Z_WAEQR  =  Z_WAEQR  ,
     &     Z_WSEQR  =  Z_WSEQR  ,
     &     Z_X1  =  Z_X1  ,
     &     Z_X2  =  Z_X2  ,
     &     Z_XAIR  =  Z_XAIR  ,
     &     Z_XQ  =  Z_XQ  ,
     &     Z_CEQUAL  =  Z_CEQUAL  ,
     &     Z_CWRL  =  Z_CWRL  ,
     &     Z_CWRM  =  Z_CWRM  ,
     &     Z_CWRC  =  Z_CWRC  ,
     &     Z_CWBS  =  Z_CWBS  ,
     &     Z_CWBH  =  Z_CWBH  ,
     &     Z_CWBA  =  Z_CWBA  ,
     &     Z_C1  =  Z_C1  ,
     &     Z_C2  =  Z_C2  ,
     &     Z_CA  =  Z_CA  ,
     &     Z_COX  =  Z_COX  ,
     &     Z_CCPM  =  Z_CCPM  ,
     &     Z_CDEVP  =  Z_CDEVP  ,
     &     Z_CDRN  =  Z_CDRN  ,
     &     Z_CERN  =  Z_CERN  ,
     &     Z_CHOTW  =  Z_CHOTW  ,
     &     Z_CKLS  =  Z_CKLS  ,
     &     Z_CKAL  =  XCUAMB_H  ,
     &     Z_CKAS  =  XCUAMB_S  ,
     &     Z_CKS  =  Z_CKS  ,
     &     Z_CKW  =  Z_CKW  ,
     &     Z_CK2  =  Z_CK2  ,
     &     Z_CKAT  =  XCUAMB_T  ,
     &     Z_CKL1  =  Z_CKL1  ,
     &     Z_CKAIR  =  Z_CKAIR  ,
     &     Z_CKHOT  =  Z_CKHOT  ,
     &     Z_CLBB  =  Z_CLBB  ,
     &     Z_CLBT  =  Z_CLBT  ,
     &     Z_CLDIV  =  Z_CLDIV  ,
     &     Z_CLKA  =  Z_CLKA  ,
     &     Z_CLTU  =  Z_CLTU  ,
     &     Z_CI1  =  Z_CI1  ,
     &     Z_CM1  =  Z_CM1  ,
     &     Z_CM2  =  Z_CM2  ,
     &     Z_CMM  =  Z_CMM  ,
     &     Z_CMW  =  Z_CMW  ,
     &     Z_CV  =  Z_CV  ,
     &     X_CVINC11  =  X_CVINC11  ,
     &     Z_CLHW  =  Z_CLHW  ,
     &     Z_CVMIN  =  Z_CVMIN  ,
     &     Z_CX  =  Z_CX  ,
     &     Z_CPLAG  =  Z_CPLAG  ,
     &     Z_CMMIN  =  Z_CMMIN  ,
     &     Z_CMH  =  Z_CMH  ,
     &     Z_CSTMTL  =  Z_CSTMTL  ,
     &     Z_CDTDH  =  Z_CDTDH  ,
     &     Z_CWTMIN  =  Z_CWTMIN  ,
     &     TAFLO  =  TAFLO  ,
     &     TAFMD  =  TAFMD  ,
     &     TATAMB  =  XTENVI  ,
     &     TAPAMB  =  XPENVI  ,
     &     YITIM  =  YITIM  ,
     &     YIFRE  =  YIFRE  ,
     &     Z_IH1  =  Z_IH1  ,
     &     Z_IH2  =  Z_IH2  ,
     &     Z_IP  =  Z_IP  ,
     &     Z_IHL1  =  Z_IHL1  ,
     &     Z_IHL2  =  Z_IHL2  ,
     &     Z_IPL1  =  Z_IPL1  ,
     &     Z_IPL2  =  Z_IPL2  ,
     &     Z_IDG  =  Z_IDG  ,
     &     Z_CKLMAX  =  Z_CKLMAX  ,
     &     ZCCALD1  =  ZCCALD1  ,
     &     ZCCALD2  =  ZCCALD2  ,
     &     ZCCPWTR  =  ZCCPWTR  ,
     &     ZCRAIR  =  ZCRAIR  ,
     &     ZCTABS  =  ZCTABS  ,
     &     ZCPHEL  =  ZCPHEL  ,
     &     ZCCPAIR  =  ZCCPAIR  ,
     &     Z_XL1  =  Z_XL1  ,
     &     Z_XL2  =  Z_XL2  ,
     &     Z_HA1  =  Z_HA1  ,
     &     Z_HA2  =  Z_HA2  ,
     &     X_CVINC21  =  X_CVINC21  ,
     &     ZCTSR  =  ZCTSR  ,
     &     Z_CVSWT  =  Z_CVSWT  ,
     &     X_CVINC12  =  X_CVINC12  ,
     &     X_CVINC22  =  X_CVINC22  ,
     &     ZCWSMIN  =  ZCWSMIN  ,
     &     ZCWLMIN  =  ZCWLMIN  ,
     &     Z_BHYDTE  =  Z_BHYDTE  ,
     &     Z_BHYDTE2  =  Z_BHYDTE2  ,
     &     Z_BHYDTB  =  Z_BHYDTB  ,
     &     Z_BHYDTB2  =  Z_BHYDTB2  ,
     &     Z_BHYDTB3  =  Z_BHYDTB3  ,
     &     Z_BHYDTB4  =  Z_BHYDTB4  ,
     &     Z_BHYDTB5  =  Z_BHYDTB5  ,
     &     Z_BHYD  =  Z_BHYD  ,
     &     Z_BHYDSI  =  Z_BHYDSI  ,
     &     Z_BN2TE  =  Z_BN2TE  ,
     &     Z_BN2TE2  =  Z_BN2TE2  ,
     &     Z_BN2TB  =  Z_BN2TB  ,
     &     Z_BN2TB2  =  Z_BN2TB2  ,
     &     Z_BN2TB3  =  Z_BN2TB3  ,
     &     Z_BN2TB4  =  Z_BN2TB4  ,
     &     Z_BN2TB5  =  Z_BN2TB5  ,
     &     Z_BN2  =  Z_BN2  ,
     &     Z_BN2SI  =  Z_BN2SI  ,
     &     Z_RLD  =  TAFLO  ,
     &     Z_RMD  =  TAFMD  ,
     &     Z_RCD  =  TAFRC  ,
     &     Z_BHYDL  =  Z_BHYDL  ,
     &     Z_BN2L  =  Z_BN2L  ,
     &     Z_CI1H2  =  Z_CI1H2  ,
     &     Z_CM1H2  =  Z_CM1H2  ,
     &     Z_CM2H2  =  Z_CM2H2  ,
     &     Z_CXH2  =  Z_CXH2  ,
     &     Z_CBUND  =  Z_CBUND  ,
     &     Z_BOXYTE  =  Z_BOXYTE  ,
     &     Z_BOXYTE2  =  Z_BOXYTE2  ,
     &     Z_BOXYTB  =  Z_BOXYTB  ,
     &     Z_BOXYTB2  =  Z_BOXYTB2  ,
     &     Z_BOXYTB3  =  Z_BOXYTB3  ,
     &     Z_BOXYTB4  =  Z_BOXYTB4  ,
     &     Z_BOXYTB5  =  Z_BOXYTB5  ,
     &     Z_BOXYSI  =  Z_BOXYSI  ,
     &     Z_BOXY  =  Z_BOXY  ,
     &     Z_BOXYL  =  Z_BOXYL  ,
     &     Z_CX_2  =  Z_CX_2  ,
     &     XC02WEQR  =  XC02WEQR  ,
     &     Z_CPAIR  =  Z_CPAIR  ,
     &     Z_CEQFL  =  Z_CEQFL  ,
     &     Z_XATE2  =  Z_XATE2  ,
     &     X_HLIN1  =  X_HLIN1  ,
     &     X_HLIN2  =  X_HLIN2  ,
     &     Z_RG131IDI1  =  Z_RG131IDI1  ,
     &     Z_RG132IDI1  =  Z_RG132IDI1  ,
     &     Z_RG132TEDI1  =  Z_RG132TEDI1  ,
     &     Z_RG133IDI1  =  Z_RG133IDI1  ,
     &     Z_RG133XEDI1  =  Z_RG133XEDI1  ,
     &     Z_RG134CSDI1  =  Z_RG134CSDI1  ,
     &     Z_RG134IDI1  =  Z_RG134IDI1  ,
     &     Z_RG135IDI1  =  Z_RG135IDI1  ,
     &     Z_RG135XEDI1  =  Z_RG135XEDI1  ,
     &     Z_RG136CSDI1  =  Z_RG136CSDI1  ,
     &     Z_RG137CSDI1  =  Z_RG137CSDI1  ,
     &     Z_RG138CSDI1  =  Z_RG138CSDI1  ,
     &     Z_RG138XEDI1  =  Z_RG138XEDI1  ,
     &     Z_RG140BADI1  =  Z_RG140BADI1  ,
     &     Z_RG140LADI1  =  Z_RG140LADI1  ,
     &     Z_RG144CEDI1  =  Z_RG144CEDI1  ,
     &     Z_RG144CSDI1  =  Z_RG144CSDI1  ,
     &     Z_RG144PRDI1  =  Z_RG144PRDI1  ,
     &     Z_RG16NDI1  =  Z_RG16NDI1  ,
     &     Z_RG41ARDI1  =  Z_RG41ARDI1  ,
     &     Z_RG60CODI1  =  Z_RG60CODI1  ,
     &     Z_RG85KRDI1  =  Z_RG85KRDI1  ,
     &     Z_RG87KRDI1  =  Z_RG87KRDI1  ,
     &     Z_RG88KRDI1  =  Z_RG88KRDI1  ,
     &     Z_RG88RBDI1  =  Z_RG88RBDI1  ,
     &     Z_RG89SRDI1  =  Z_RG89SRDI1  ,
     &     Z_RG90SRDI1  =  Z_RG90SRDI1  ,
     &     Z_RG90YDI1  =  Z_RG90YDI1  ,
     &     Z_RG91SRDI1  =  Z_RG91SRDI1  ,
     &     Z_RG91YDI1  =  Z_RG91YDI1  ,
     &     Z_RG92SRDI1  =  Z_RG92SRDI1  ,
     &     Z_RG92YDI1  =  Z_RG92YDI1  ,
     &     Z_RGM133XEDI1  =  Z_RGM133XEDI1  ,
     &     Z_RGM135XEDI1  =  Z_RGM135XEDI1  ,
     &     Z_RGM144PRDI1  =  Z_RGM144PRDI1  ,
     &     Z_RGM85KRDI1  =  Z_RGM85KRDI1  ,
     &     Z_RG131ISI  =  Z_RG131ISI  ,
     &     Z_RG132ISI  =  Z_RG132ISI  ,
     &     Z_RG132TESI  =  Z_RG132TESI  ,
     &     Z_RG133ISI  =  Z_RG133ISI  ,
     &     Z_RG133XESI  =  Z_RG133XESI  ,
     &     Z_RG134CSSI  =  Z_RG134CSSI  ,
     &     Z_RG134ISI  =  Z_RG134ISI  ,
     &     Z_RG135ISI  =  Z_RG135ISI  ,
     &     Z_RG135XESI  =  Z_RG135XESI  ,
     &     Z_RG136CSSI  =  Z_RG136CSSI  ,
     &     Z_RG137CSSI  =  Z_RG137CSSI  ,
     &     Z_RG138CSSI  =  Z_RG138CSSI  ,
     &     Z_RG138XESI  =  Z_RG138XESI  ,
     &     Z_RG140BASI  =  Z_RG140BASI  ,
     &     Z_RG140LASI  =  Z_RG140LASI  ,
     &     Z_RG144CESI  =  Z_RG144CESI  ,
     &     Z_RG144CSSI  =  Z_RG144CSSI  ,
     &     Z_RG144PRSI  =  Z_RG144PRSI  ,
     &     Z_RG16NSI  =  Z_RG16NSI  ,
     &     Z_RG41ARSI  =  Z_RG41ARSI  ,
     &     Z_RG60COSI  =  Z_RG60COSI  ,
     &     Z_RG85KRSI  =  Z_RG85KRSI  ,
     &     Z_RG87KRSI  =  Z_RG87KRSI  ,
     &     Z_RG88KRSI  =  Z_RG88KRSI  ,
     &     Z_RG88RBSI  =  Z_RG88RBSI  ,
     &     Z_RG89SRSI  =  Z_RG89SRSI  ,
     &     Z_RG90SRSI  =  Z_RG90SRSI  ,
     &     Z_RG90YSI  =  Z_RG90YSI  ,
     &     Z_RG91SRSI  =  Z_RG91SRSI  ,
     &     Z_RG91YSI  =  Z_RG91YSI  ,
     &     Z_RG92SRSI  =  Z_RG92SRSI  ,
     &     Z_RG92YSI  =  Z_RG92YSI  ,
     &     Z_RGM133XESI  =  Z_RGM133XESI  ,
     &     Z_RGM135XESI  =  Z_RGM135XESI  ,
     &     Z_RGM144PRSI  =  Z_RGM144PRSI  ,
     &     Z_RGM85KRSI  =  Z_RGM85KRSI  ,
     &     Z_RG131IHW1  =  Z_RG131IHW1  ,
     &     Z_RG132IHW1  =  Z_RG132IHW1  ,
     &     Z_RG132TEHW1  =  Z_RG132TEHW1  ,
     &     Z_RG133IHW1  =  Z_RG133IHW1  ,
     &     Z_RG133XEHW1  =  Z_RG133XEHW1  ,
     &     Z_RG134CSHW1  =  Z_RG134CSHW1  ,
     &     Z_RG134IHW1  =  Z_RG134IHW1  ,
     &     Z_RG135IHW1  =  Z_RG135IHW1  ,
     &     Z_RG135XEHW1  =  Z_RG135XEHW1  ,
     &     Z_RG136CSHW1  =  Z_RG136CSHW1  ,
     &     Z_RG137CSHW1  =  Z_RG137CSHW1  ,
     &     Z_RG138CSHW1  =  Z_RG138CSHW1  ,
     &     Z_RG138XEHW1  =  Z_RG138XEHW1  ,
     &     Z_RG140BAHW1  =  Z_RG140BAHW1  ,
     &     Z_RG140LAHW1  =  Z_RG140LAHW1  ,
     &     Z_RG144CEHW1  =  Z_RG144CEHW1  ,
     &     Z_RG144CSHW1  =  Z_RG144CSHW1  ,
     &     Z_RG144PRHW1  =  Z_RG144PRHW1  ,
     &     Z_RG16NHW1  =  Z_RG16NHW1  ,
     &     Z_RG41ARHW1  =  Z_RG41ARHW1  ,
     &     Z_RG60COHW1  =  Z_RG60COHW1  ,
     &     Z_RG85KRHW1  =  Z_RG85KRHW1  ,
     &     Z_RG87KRHW1  =  Z_RG87KRHW1  ,
     &     Z_RG88KRHW1  =  Z_RG88KRHW1  ,
     &     Z_RG88RBHW1  =  Z_RG88RBHW1  ,
     &     Z_RG89SRHW1  =  Z_RG89SRHW1  ,
     &     Z_RG90SRHW1  =  Z_RG90SRHW1  ,
     &     Z_RG90YHW1  =  Z_RG90YHW1  ,
     &     Z_RG91SRHW1  =  Z_RG91SRHW1  ,
     &     Z_RG91YHW1  =  Z_RG91YHW1  ,
     &     Z_RG92SRHW1  =  Z_RG92SRHW1  ,
     &     Z_RG92YHW1  =  Z_RG92YHW1  ,
     &     Z_RGM133XEHW1  =  Z_RGM133XEHW1  ,
     &     Z_RGM135XEHW1  =  Z_RGM135XEHW1  ,
     &     Z_RGM144PRHW1  =  Z_RGM144PRHW1  ,
     &     Z_RGM85KRHW1  =  Z_RGM85KRHW1  ,
     &     Z_RG131ITB  =  Z_RG131ITB  ,
     &     Z_RG132ITB  =  Z_RG132ITB  ,
     &     Z_RG132TETB  =  Z_RG132TETB  ,
     &     Z_RG133ITB  =  Z_RG133ITB  ,
     &     Z_RG133XETB  =  Z_RG133XETB  ,
     &     Z_RG134CSTB  =  Z_RG134CSTB  ,
     &     Z_RG134ITB  =  Z_RG134ITB  ,
     &     Z_RG135ITB  =  Z_RG135ITB  ,
     &     Z_RG135XETB  =  Z_RG135XETB  ,
     &     Z_RG136CSTB  =  Z_RG136CSTB  ,
     &     Z_RG137CSTB  =  Z_RG137CSTB  ,
     &     Z_RG138CSTB  =  Z_RG138CSTB  ,
     &     Z_RG138XETB  =  Z_RG138XETB  ,
     &     Z_RG140BATB  =  Z_RG140BATB  ,
     &     Z_RG140LATB  =  Z_RG140LATB  ,
     &     Z_RG144CETB  =  Z_RG144CETB  ,
     &     Z_RG144CSTB  =  Z_RG144CSTB  ,
     &     Z_RG144PRTB  =  Z_RG144PRTB  ,
     &     Z_RG16NTB  =  Z_RG16NTB  ,
     &     Z_RG41ARTB  =  Z_RG41ARTB  ,
     &     Z_RG60COTB  =  Z_RG60COTB  ,
     &     Z_RG85KRTB  =  Z_RG85KRTB  ,
     &     Z_RG87KRTB  =  Z_RG87KRTB  ,
     &     Z_RG88KRTB  =  Z_RG88KRTB  ,
     &     Z_RG88RBTB  =  Z_RG88RBTB  ,
     &     Z_RG89SRTB  =  Z_RG89SRTB  ,
     &     Z_RG90SRTB  =  Z_RG90SRTB  ,
     &     Z_RG90YTB  =  Z_RG90YTB  ,
     &     Z_RG91SRTB  =  Z_RG91SRTB  ,
     &     Z_RG91YTB  =  Z_RG91YTB  ,
     &     Z_RG92SRTB  =  Z_RG92SRTB  ,
     &     Z_RG92YTB  =  Z_RG92YTB  ,
     &     Z_RGM133XETB  =  Z_RGM133XETB  ,
     &     Z_RGM135XETB  =  Z_RGM135XETB  ,
     &     Z_RGM144PRTB  =  Z_RGM144PRTB  ,
     &     Z_RGM85KRTB  =  Z_RGM85KRTB  ,
     &     Z_RG131ITB2  =  Z_RG131ITB2  ,
     &     Z_RG132ITB2  =  Z_RG132ITB2  ,
     &     Z_RG132TETB2  =  Z_RG132TETB2  ,
     &     Z_RG133ITB2  =  Z_RG133ITB2  ,
     &     Z_RG133XETB2  =  Z_RG133XETB2  ,
     &     Z_RG134CSTB2  =  Z_RG134CSTB2  ,
     &     Z_RG134ITB2  =  Z_RG134ITB2  ,
     &     Z_RG135ITB2  =  Z_RG135ITB2  ,
     &     Z_RG135XETB2  =  Z_RG135XETB2  ,
     &     Z_RG136CSTB2  =  Z_RG136CSTB2  ,
     &     Z_RG137CSTB2  =  Z_RG137CSTB2  ,
     &     Z_RG138CSTB2  =  Z_RG138CSTB2  ,
     &     Z_RG138XETB2  =  Z_RG138XETB2  ,
     &     Z_RG140BATB2  =  Z_RG140BATB2  ,
     &     Z_RG140LATB2  =  Z_RG140LATB2  ,
     &     Z_RG144CETB2  =  Z_RG144CETB2  ,
     &     Z_RG144CSTB2  =  Z_RG144CSTB2  ,
     &     Z_RG144PRTB2  =  Z_RG144PRTB2  ,
     &     Z_RG16NTB2  =  Z_RG16NTB2  ,
     &     Z_RG41ARTB2  =  Z_RG41ARTB2  ,
     &     Z_RG60COTB2  =  Z_RG60COTB2  ,
     &     Z_RG85KRTB2  =  Z_RG85KRTB2  ,
     &     Z_RG87KRTB2  =  Z_RG87KRTB2  ,
     &     Z_RG88KRTB2  =  Z_RG88KRTB2  ,
     &     Z_RG88RBTB2  =  Z_RG88RBTB2  ,
     &     Z_RG89SRTB2  =  Z_RG89SRTB2  ,
     &     Z_RG90SRTB2  =  Z_RG90SRTB2  ,
     &     Z_RG90YTB2  =  Z_RG90YTB2  ,
     &     Z_RG91SRTB2  =  Z_RG91SRTB2  ,
     &     Z_RG91YTB2  =  Z_RG91YTB2  ,
     &     Z_RG92SRTB2  =  Z_RG92SRTB2  ,
     &     Z_RG92YTB2  =  Z_RG92YTB2  ,
     &     Z_RGM133XETB2  =  Z_RGM133XETB2  ,
     &     Z_RGM135XETB2  =  Z_RGM135XETB2  ,
     &     Z_RGM144PRTB2  =  Z_RGM144PRTB2  ,
     &     Z_RGM85KRTB2  =  Z_RGM85KRTB2  ,
     &     Z_RG131ITB3  =  Z_RG131ITB3  ,
     &     Z_RG132ITB3  =  Z_RG132ITB3  ,
     &     Z_RG132TETB3  =  Z_RG132TETB3  ,
     &     Z_RG133ITB3  =  Z_RG133ITB3  ,
     &     Z_RG133XETB3  =  Z_RG133XETB3  ,
     &     Z_RG134CSTB3  =  Z_RG134CSTB3  ,
     &     Z_RG134ITB3  =  Z_RG134ITB3  ,
     &     Z_RG135ITB3  =  Z_RG135ITB3  ,
     &     Z_RG135XETB3  =  Z_RG135XETB3  ,
     &     Z_RG136CSTB3  =  Z_RG136CSTB3  ,
     &     Z_RG137CSTB3  =  Z_RG137CSTB3  ,
     &     Z_RG138CSTB3  =  Z_RG138CSTB3  ,
     &     Z_RG138XETB3  =  Z_RG138XETB3  ,
     &     Z_RG140BATB3  =  Z_RG140BATB3  ,
     &     Z_RG140LATB3  =  Z_RG140LATB3  ,
     &     Z_RG144CETB3  =  Z_RG144CETB3  ,
     &     Z_RG144CSTB3  =  Z_RG144CSTB3  ,
     &     Z_RG144PRTB3  =  Z_RG144PRTB3  ,
     &     Z_RG16NTB3  =  Z_RG16NTB3  ,
     &     Z_RG41ARTB3  =  Z_RG41ARTB3  ,
     &     Z_RG60COTB3  =  Z_RG60COTB3  ,
     &     Z_RG85KRTB3  =  Z_RG85KRTB3  ,
     &     Z_RG87KRTB3  =  Z_RG87KRTB3  ,
     &     Z_RG88KRTB3  =  Z_RG88KRTB3  ,
     &     Z_RG88RBTB3  =  Z_RG88RBTB3  ,
     &     Z_RG89SRTB3  =  Z_RG89SRTB3  ,
     &     Z_RG90SRTB3  =  Z_RG90SRTB3  ,
     &     Z_RG90YTB3  =  Z_RG90YTB3  ,
     &     Z_RG91SRTB3  =  Z_RG91SRTB3  ,
     &     Z_RG91YTB3  =  Z_RG91YTB3  ,
     &     Z_RG92SRTB3  =  Z_RG92SRTB3  ,
     &     Z_RG92YTB3  =  Z_RG92YTB3  ,
     &     Z_RGM133XETB3  =  Z_RGM133XETB3  ,
     &     Z_RGM135XETB3  =  Z_RGM135XETB3  ,
     &     Z_RGM144PRTB3  =  Z_RGM144PRTB3  ,
     &     Z_RGM85KRTB3  =  Z_RGM85KRTB3  ,
     &     Z_RG131ITB4  =  Z_RG131ITB4  ,
     &     Z_RG132ITB4  =  Z_RG132ITB4  ,
     &     Z_RG132TETB4  =  Z_RG132TETB4  ,
     &     Z_RG133ITB4  =  Z_RG133ITB4  ,
     &     Z_RG133XETB4  =  Z_RG133XETB4  ,
     &     Z_RG134CSTB4  =  Z_RG134CSTB4  ,
     &     Z_RG134ITB4  =  Z_RG134ITB4  ,
     &     Z_RG135ITB4  =  Z_RG135ITB4  ,
     &     Z_RG135XETB4  =  Z_RG135XETB4  ,
     &     Z_RG136CSTB4  =  Z_RG136CSTB4  ,
     &     Z_RG137CSTB4  =  Z_RG137CSTB4  ,
     &     Z_RG138CSTB4  =  Z_RG138CSTB4  ,
     &     Z_RG138XETB4  =  Z_RG138XETB4  ,
     &     Z_RG140BATB4  =  Z_RG140BATB4  ,
     &     Z_RG140LATB4  =  Z_RG140LATB4  ,
     &     Z_RG144CETB4  =  Z_RG144CETB4  ,
     &     Z_RG144CSTB4  =  Z_RG144CSTB4  ,
     &     Z_RG144PRTB4  =  Z_RG144PRTB4  ,
     &     Z_RG16NTB4  =  Z_RG16NTB4  ,
     &     Z_RG41ARTB4  =  Z_RG41ARTB4  ,
     &     Z_RG60COTB4  =  Z_RG60COTB4  ,
     &     Z_RG85KRTB4  =  Z_RG85KRTB4  ,
     &     Z_RG87KRTB4  =  Z_RG87KRTB4  ,
     &     Z_RG88KRTB4  =  Z_RG88KRTB4  ,
     &     Z_RG88RBTB4  =  Z_RG88RBTB4  ,
     &     Z_RG89SRTB4  =  Z_RG89SRTB4  ,
     &     Z_RG90SRTB4  =  Z_RG90SRTB4  ,
     &     Z_RG90YTB4  =  Z_RG90YTB4  ,
     &     Z_RG91SRTB4  =  Z_RG91SRTB4  ,
     &     Z_RG91YTB4  =  Z_RG91YTB4  ,
     &     Z_RG92SRTB4  =  Z_RG92SRTB4  ,
     &     Z_RG92YTB4  =  Z_RG92YTB4  ,
     &     Z_RGM133XETB4  =  Z_RGM133XETB4  ,
     &     Z_RGM135XETB4  =  Z_RGM135XETB4  ,
     &     Z_RGM144PRTB4  =  Z_RGM144PRTB4  ,
     &     Z_RGM85KRTB4  =  Z_RGM85KRTB4  ,
     &     Z_RG131ITB5  =  Z_RG131ITB5  ,
     &     Z_RG132ITB5  =  Z_RG132ITB5  ,
     &     Z_RG132TETB5  =  Z_RG132TETB5  ,
     &     Z_RG133ITB5  =  Z_RG133ITB5  ,
     &     Z_RG133XETB5  =  Z_RG133XETB5  ,
     &     Z_RG134CSTB5  =  Z_RG134CSTB5  ,
     &     Z_RG134ITB5  =  Z_RG134ITB5  ,
     &     Z_RG135ITB5  =  Z_RG135ITB5  ,
     &     Z_RG135XETB5  =  Z_RG135XETB5  ,
     &     Z_RG136CSTB5  =  Z_RG136CSTB5  ,
     &     Z_RG137CSTB5  =  Z_RG137CSTB5  ,
     &     Z_RG138CSTB5  =  Z_RG138CSTB5  ,
     &     Z_RG138XETB5  =  Z_RG138XETB5  ,
     &     Z_RG140BATB5  =  Z_RG140BATB5  ,
     &     Z_RG140LATB5  =  Z_RG140LATB5  ,
     &     Z_RG144CETB5  =  Z_RG144CETB5  ,
     &     Z_RG144CSTB5  =  Z_RG144CSTB5  ,
     &     Z_RG144PRTB5  =  Z_RG144PRTB5  ,
     &     Z_RG16NTB5  =  Z_RG16NTB5  ,
     &     Z_RG41ARTB5  =  Z_RG41ARTB5  ,
     &     Z_RG60COTB5  =  Z_RG60COTB5  ,
     &     Z_RG85KRTB5  =  Z_RG85KRTB5  ,
     &     Z_RG87KRTB5  =  Z_RG87KRTB5  ,
     &     Z_RG88KRTB5  =  Z_RG88KRTB5  ,
     &     Z_RG88RBTB5  =  Z_RG88RBTB5  ,
     &     Z_RG89SRTB5  =  Z_RG89SRTB5  ,
     &     Z_RG90SRTB5  =  Z_RG90SRTB5  ,
     &     Z_RG90YTB5  =  Z_RG90YTB5  ,
     &     Z_RG91SRTB5  =  Z_RG91SRTB5  ,
     &     Z_RG91YTB5  =  Z_RG91YTB5  ,
     &     Z_RG92SRTB5  =  Z_RG92SRTB5  ,
     &     Z_RG92YTB5  =  Z_RG92YTB5  ,
     &     Z_RGM133XETB5  =  Z_RGM133XETB5  ,
     &     Z_RGM135XETB5  =  Z_RGM135XETB5  ,
     &     Z_RGM144PRTB5  =  Z_RGM144PRTB5  ,
     &     Z_RGM85KRTB5  =  Z_RGM85KRTB5  ,
     &     Z_RG131ITE  =  Z_RG131ITE  ,
     &     Z_RG132ITE  =  Z_RG132ITE  ,
     &     Z_RG132TETE  =  Z_RG132TETE  ,
     &     Z_RG133ITE  =  Z_RG133ITE  ,
     &     Z_RG133XETE  =  Z_RG133XETE  ,
     &     Z_RG134CSTE  =  Z_RG134CSTE  ,
     &     Z_RG134ITE  =  Z_RG134ITE  ,
     &     Z_RG135ITE  =  Z_RG135ITE  ,
     &     Z_RG135XETE  =  Z_RG135XETE  ,
     &     Z_RG136CSTE  =  Z_RG136CSTE  ,
     &     Z_RG137CSTE  =  Z_RG137CSTE  ,
     &     Z_RG138CSTE  =  Z_RG138CSTE  ,
     &     Z_RG138XETE  =  Z_RG138XETE  ,
     &     Z_RG140BATE  =  Z_RG140BATE  ,
     &     Z_RG140LATE  =  Z_RG140LATE  ,
     &     Z_RG144CETE  =  Z_RG144CETE  ,
     &     Z_RG144CSTE  =  Z_RG144CSTE  ,
     &     Z_RG144PRTE  =  Z_RG144PRTE  ,
     &     Z_RG16NTE  =  Z_RG16NTE  ,
     &     Z_RG41ARTE  =  Z_RG41ARTE  ,
     &     Z_RG60COTE  =  Z_RG60COTE  ,
     &     Z_RG85KRTE  =  Z_RG85KRTE  ,
     &     Z_RG87KRTE  =  Z_RG87KRTE  ,
     &     Z_RG88KRTE  =  Z_RG88KRTE  ,
     &     Z_RG88RBTE  =  Z_RG88RBTE  ,
     &     Z_RG89SRTE  =  Z_RG89SRTE  ,
     &     Z_RG90SRTE  =  Z_RG90SRTE  ,
     &     Z_RG90YTE  =  Z_RG90YTE  ,
     &     Z_RG91SRTE  =  Z_RG91SRTE  ,
     &     Z_RG91YTE  =  Z_RG91YTE  ,
     &     Z_RG92SRTE  =  Z_RG92SRTE  ,
     &     Z_RG92YTE  =  Z_RG92YTE  ,
     &     Z_RGM133XETE  =  Z_RGM133XETE  ,
     &     Z_RGM135XETE  =  Z_RGM135XETE  ,
     &     Z_RGM144PRTE  =  Z_RGM144PRTE  ,
     &     Z_RGM85KRTE  =  Z_RGM85KRTE  ,
     &     Z_RG131ITE2  =  Z_RG131ITE2  ,
     &     Z_RG132ITE2  =  Z_RG132ITE2  ,
     &     Z_RG132TETE2  =  Z_RG132TETE2  ,
     &     Z_RG133ITE2  =  Z_RG133ITE2  ,
     &     Z_RG133XETE2  =  Z_RG133XETE2  ,
     &     Z_RG134CSTE2  =  Z_RG134CSTE2  ,
     &     Z_RG134ITE2  =  Z_RG134ITE2  ,
     &     Z_RG135ITE2  =  Z_RG135ITE2  ,
     &     Z_RG135XETE2  =  Z_RG135XETE2  ,
     &     Z_RG136CSTE2  =  Z_RG136CSTE2  ,
     &     Z_RG137CSTE2  =  Z_RG137CSTE2  ,
     &     Z_RG138CSTE2  =  Z_RG138CSTE2  ,
     &     Z_RG138XETE2  =  Z_RG138XETE2  ,
     &     Z_RG140BATE2  =  Z_RG140BATE2  ,
     &     Z_RG140LATE2  =  Z_RG140LATE2  ,
     &     Z_RG144CETE2  =  Z_RG144CETE2  ,
     &     Z_RG144CSTE2  =  Z_RG144CSTE2  ,
     &     Z_RG144PRTE2  =  Z_RG144PRTE2  ,
     &     Z_RG16NTE2  =  Z_RG16NTE2  ,
     &     Z_RG41ARTE2  =  Z_RG41ARTE2  ,
     &     Z_RG60COTE2  =  Z_RG60COTE2  ,
     &     Z_RG85KRTE2  =  Z_RG85KRTE2  ,
     &     Z_RG87KRTE2  =  Z_RG87KRTE2  ,
     &     Z_RG88KRTE2  =  Z_RG88KRTE2  ,
     &     Z_RG88RBTE2  =  Z_RG88RBTE2  ,
     &     Z_RG89SRTE2  =  Z_RG89SRTE2  ,
     &     Z_RG90SRTE2  =  Z_RG90SRTE2  ,
     &     Z_RG90YTE2  =  Z_RG90YTE2  ,
     &     Z_RG91SRTE2  =  Z_RG91SRTE2  ,
     &     Z_RG91YTE2  =  Z_RG91YTE2  ,
     &     Z_RG92SRTE2  =  Z_RG92SRTE2  ,
     &     Z_RG92YTE2  =  Z_RG92YTE2  ,
     &     Z_RGM133XETE2  =  Z_RGM133XETE2  ,
     &     Z_RGM135XETE2  =  Z_RGM135XETE2  ,
     &     Z_RGM144PRTE2  =  Z_RGM144PRTE2  ,
     &     Z_RGM85KRTE2  =  Z_RGM85KRTE2  ,
     &     Z_G131I  =  Z_G131I  ,
     &     Z_G132I  =  Z_G132I  ,
     &     Z_G132TE  =  Z_G132TE  ,
     &     Z_G133I  =  Z_G133I  ,
     &     Z_G133XE  =  Z_G133XE  ,
     &     Z_G134CS  =  Z_G134CS  ,
     &     Z_G134I  =  Z_G134I  ,
     &     Z_G135I  =  Z_G135I  ,
     &     Z_G135XE  =  Z_G135XE  ,
     &     Z_G136CS  =  Z_G136CS  ,
     &     Z_G137CS  =  Z_G137CS  ,
     &     Z_G138CS  =  Z_G138CS  ,
     &     Z_G138XE  =  Z_G138XE  ,
     &     Z_G140BA  =  Z_G140BA  ,
     &     Z_G140LA  =  Z_G140LA  ,
     &     Z_G144CE  =  Z_G144CE  ,
     &     Z_G144CS  =  Z_G144CS  ,
     &     Z_G144PR  =  Z_G144PR  ,
     &     Z_G16N  =  Z_G16N  ,
     &     Z_G41AR  =  Z_G41AR  ,
     &     Z_G60CO  =  Z_G60CO  ,
     &     Z_G85KR  =  Z_G85KR  ,
     &     Z_G87KR  =  Z_G87KR  ,
     &     Z_G88KR  =  Z_G88KR  ,
     &     Z_G88RB  =  Z_G88RB  ,
     &     Z_G89SR  =  Z_G89SR  ,
     &     Z_G90SR  =  Z_G90SR  ,
     &     Z_G90Y  =  Z_G90Y  ,
     &     Z_G91SR  =  Z_G91SR  ,
     &     Z_G91Y  =  Z_G91Y  ,
     &     Z_G92SR  =  Z_G92SR  ,
     &     Z_G92Y  =  Z_G92Y  ,
     &     Z_GM133XE  =  Z_GM133XE  ,
     &     Z_GM135XE  =  Z_GM135XE  ,
     &     Z_GM144PR  =  Z_GM144PR  ,
     &     Z_GM85KR  =  Z_GM85KR  ,
     &     Z_CWG131I  =  Z_CWG131I  ,
     &     Z_CWG132I  =  Z_CWG132I  ,
     &     Z_CWG132TE  =  Z_CWG132TE  ,
     &     Z_CWG133I  =  Z_CWG133I  ,
     &     Z_CWG133XE  =  Z_CWG133XE  ,
     &     Z_CWG134CS  =  Z_CWG134CS  ,
     &     Z_CWG134I  =  Z_CWG134I  ,
     &     Z_CWG135I  =  Z_CWG135I  ,
     &     Z_CWG135XE  =  Z_CWG135XE  ,
     &     Z_CWG136CS  =  Z_CWG136CS  ,
     &     Z_CWG137CS  =  Z_CWG137CS  ,
     &     Z_CWG138CS  =  Z_CWG138CS  ,
     &     Z_CWG138XE  =  Z_CWG138XE  ,
     &     Z_CWG140BA  =  Z_CWG140BA  ,
     &     Z_CWG140LA  =  Z_CWG140LA  ,
     &     Z_CWG144CE  =  Z_CWG144CE  ,
     &     Z_CWG144CS  =  Z_CWG144CS  ,
     &     Z_CWG144PR  =  Z_CWG144PR  ,
     &     Z_CWG16N  =  Z_CWG16N  ,
     &     Z_CWG41AR  =  Z_CWG41AR  ,
     &     Z_CWG60CO  =  Z_CWG60CO  ,
     &     Z_CWG85KR  =  Z_CWG85KR  ,
     &     Z_CWG87KR  =  Z_CWG87KR  ,
     &     Z_CWG88KR  =  Z_CWG88KR  ,
     &     Z_CWG88RB  =  Z_CWG88RB  ,
     &     Z_CWG89SR  =  Z_CWG89SR  ,
     &     Z_CWG90SR  =  Z_CWG90SR  ,
     &     Z_CWG90Y  =  Z_CWG90Y  ,
     &     Z_CWG91SR  =  Z_CWG91SR  ,
     &     Z_CWG91Y  =  Z_CWG91Y  ,
     &     Z_CWG92SR  =  Z_CWG92SR  ,
     &     Z_CWG92Y  =  Z_CWG92Y  ,
     &     Z_CWGM133XE  =  Z_CWGM133XE  ,
     &     Z_CWGM135XE  =  Z_CWGM135XE  ,
     &     Z_CWGM144PR  =  Z_CWGM144PR  ,
     &     Z_CWGM85KR  =  Z_CWGM85KR  ,
     &     Z_RG131ID  =  Z_RG131ID  ,
     &     Z_RG132ID  =  Z_RG132ID  ,
     &     Z_RG132TED  =  Z_RG132TED  ,
     &     Z_RG133ID  =  Z_RG133ID  ,
     &     Z_RG133XED  =  Z_RG133XED  ,
     &     Z_RG134CSD  =  Z_RG134CSD  ,
     &     Z_RG134ID  =  Z_RG134ID  ,
     &     Z_RG135ID  =  Z_RG135ID  ,
     &     Z_RG135XED  =  Z_RG135XED  ,
     &     Z_RG136CSD  =  Z_RG136CSD  ,
     &     Z_RG137CSD  =  Z_RG137CSD  ,
     &     Z_RG138CSD  =  Z_RG138CSD  ,
     &     Z_RG138XED  =  Z_RG138XED  ,
     &     Z_RG140BAD  =  Z_RG140BAD  ,
     &     Z_RG140LAD  =  Z_RG140LAD  ,
     &     Z_RG144CED  =  Z_RG144CED  ,
     &     Z_RG144CSD  =  Z_RG144CSD  ,
     &     Z_RG144PRD  =  Z_RG144PRD  ,
     &     Z_RG16ND  =  Z_RG16ND  ,
     &     Z_RG41ARD  =  Z_RG41ARD  ,
     &     Z_RG60COD  =  Z_RG60COD  ,
     &     Z_RG85KRD  =  Z_RG85KRD  ,
     &     Z_RG87KRD  =  Z_RG87KRD  ,
     &     Z_RG88KRD  =  Z_RG88KRD  ,
     &     Z_RG88RBD  =  Z_RG88RBD  ,
     &     Z_RG89SRD  =  Z_RG89SRD  ,
     &     Z_RG90SRD  =  Z_RG90SRD  ,
     &     Z_RG90YD  =  Z_RG90YD  ,
     &     Z_RG91SRD  =  Z_RG91SRD  ,
     &     Z_RG91YD  =  Z_RG91YD  ,
     &     Z_RG92SRD  =  Z_RG92SRD  ,
     &     Z_RG92YD  =  Z_RG92YD  ,
     &     Z_RGM133XED  =  Z_RGM133XED  ,
     &     Z_RGM135XED  =  Z_RGM135XED  ,
     &     Z_RGM144PRD  =  Z_RGM144PRD  ,
     &     Z_RGM85KRD  =  Z_RGM85KRD  ,
     &     ZNDFRAC131I  =  ZNDFRAC131I  ,
     &     ZNDFRAC132I  =  ZNDFRAC132I  ,
     &     ZNDFRAC132TE  =  ZNDFRAC132TE  ,
     &     ZNDFRAC133I  =  ZNDFRAC133I  ,
     &     ZNDFRAC133XE  =  ZNDFRAC133XE  ,
     &     ZNDFRAC134CS  =  ZNDFRAC134CS  ,
     &     ZNDFRAC134I  =  ZNDFRAC134I  ,
     &     ZNDFRAC135I  =  ZNDFRAC135I  ,
     &     ZNDFRAC135XE  =  ZNDFRAC135XE  ,
     &     ZNDFRAC136CS  =  ZNDFRAC136CS  ,
     &     ZNDFRAC137CS  =  ZNDFRAC137CS  ,
     &     ZNDFRAC138CS  =  ZNDFRAC138CS  ,
     &     ZNDFRAC138XE  =  ZNDFRAC138XE  ,
     &     ZNDFRAC140BA  =  ZNDFRAC140BA  ,
     &     ZNDFRAC140LA  =  ZNDFRAC140LA  ,
     &     ZNDFRAC144CE  =  ZNDFRAC144CE  ,
     &     ZNDFRAC144CS  =  ZNDFRAC144CS  ,
     &     ZNDFRAC144PR  =  ZNDFRAC144PR  ,
     &     ZNDFRAC16N  =  ZNDFRAC16N  ,
     &     ZNDFRAC41AR  =  ZNDFRAC41AR  ,
     &     ZNDFRAC60CO  =  ZNDFRAC60CO  ,
     &     ZNDFRAC85KR  =  ZNDFRAC85KR  ,
     &     ZNDFRAC87KR  =  ZNDFRAC87KR  ,
     &     ZNDFRAC88KR  =  ZNDFRAC88KR  ,
     &     ZNDFRAC88RB  =  ZNDFRAC88RB  ,
     &     ZNDFRAC89SR  =  ZNDFRAC89SR  ,
     &     ZNDFRAC90SR  =  ZNDFRAC90SR  ,
     &     ZNDFRAC90Y  =  ZNDFRAC90Y  ,
     &     ZNDFRAC91SR  =  ZNDFRAC91SR  ,
     &     ZNDFRAC91Y  =  ZNDFRAC91Y  ,
     &     ZNDFRAC92SR  =  ZNDFRAC92SR  ,
     &     ZNDFRAC92Y  =  ZNDFRAC92Y  ,
     &     ZNDFRACM133XE  =  ZNDFRACM133XE  ,
     &     ZNDFRACM135XE  =  ZNDFRACM135XE  ,
     &     ZNDFRACM144PR  =  ZNDFRACM144PR  ,
     &     ZNDFRACM85KR  =  ZNDFRACM85KR  ,
     &     Z_RG131ITB6  =  Z_RG131ITB6  ,
     &     Z_RG132ITB6  =  Z_RG132ITB6  ,
     &     Z_RG132TETB6  =  Z_RG132TETB6  ,
     &     Z_RG133ITB6  =  Z_RG133ITB6  ,
     &     Z_RG133XETB6  =  Z_RG133XETB6  ,
     &     Z_RG134CSTB6  =  Z_RG134CSTB6  ,
     &     Z_RG134ITB6  =  Z_RG134ITB6  ,
     &     Z_RG135ITB6  =  Z_RG135ITB6  ,
     &     Z_RG135XETB6  =  Z_RG135XETB6  ,
     &     Z_RG136CSTB6  =  Z_RG136CSTB6  ,
     &     Z_RG137CSTB6  =  Z_RG137CSTB6  ,
     &     Z_RG138CSTB6  =  Z_RG138CSTB6  ,
     &     Z_RG138XETB6  =  Z_RG138XETB6  ,
     &     Z_RG140BATB6  =  Z_RG140BATB6  ,
     &     Z_RG140LATB6  =  Z_RG140LATB6  ,
     &     Z_RG144CETB6  =  Z_RG144CETB6  ,
     &     Z_RG144CSTB6  =  Z_RG144CSTB6  ,
     &     Z_RG144PRTB6  =  Z_RG144PRTB6  ,
     &     Z_RG16NTB6  =  Z_RG16NTB6  ,
     &     Z_RG41ARTB6  =  Z_RG41ARTB6  ,
     &     Z_RG60COTB6  =  Z_RG60COTB6  ,
     &     Z_RG85KRTB6  =  Z_RG85KRTB6  ,
     &     Z_RG87KRTB6  =  Z_RG87KRTB6  ,
     &     Z_RG88KRTB6  =  Z_RG88KRTB6  ,
     &     Z_RG88RBTB6  =  Z_RG88RBTB6  ,
     &     Z_RG89SRTB6  =  Z_RG89SRTB6  ,
     &     Z_RG90SRTB6  =  Z_RG90SRTB6  ,
     &     Z_RG90YTB6  =  Z_RG90YTB6  ,
     &     Z_RG91SRTB6  =  Z_RG91SRTB6  ,
     &     Z_RG91YTB6  =  Z_RG91YTB6  ,
     &     Z_RG92SRTB6  =  Z_RG92SRTB6  ,
     &     Z_RG92YTB6  =  Z_RG92YTB6  ,
     &     Z_RGM133XETB6  =  Z_RGM133XETB6  ,
     &     Z_RGM135XETB6  =  Z_RGM135XETB6  ,
     &     Z_RGM144PRTB6  =  Z_RGM144PRTB6  ,
     &     Z_RGM85KRTB6  =  Z_RGM85KRTB6  ,
     &     Z_HTB6  =  Z_HTB6  ,
     &     Z_WTB6  =  Z_WTB6  ,
     &     Z_PTB6  =  Z_PTB6  ,
     &     Z_BN2TB6  =  Z_BN2TB6  ,
     &     Z_BHYDTB6  =  Z_BHYDTB6  ,
     &     Z_BOXYTB6  =  Z_BOXYTB6  ,
     &     Z_BSTB6  =  Z_BSTB6  ,
     &     Z_BATB6  =  Z_BATB6  ,
     &     Z_BHTB6  =  Z_BHTB6  ,
     &     Z_XATB2  =  Z_XATB2  ,
     &     Z_XATB3  =  Z_XATB3  ,
     &     Z_XATB4  =  Z_XATB4  ,
     &     Z_XATB5  =  Z_XATB5  ,
     &     Z_XATB6  =  Z_XATB6  ,
     &     Z_BSHW1A  =  Z_BSHW1A  ,
     &     Z_BSHW1B  =  Z_BSHW1B  ,
     &     Z_BAHW1A  =  Z_BAHW1A  ,
     &     Z_BAHW1B  =  Z_BAHW1B  ,
     &     Z_BHHW1A  =  Z_BHHW1A  ,
     &     Z_BHHW1B  =  Z_BHHW1B  ,
     &     Z_WWO1A  =  Z_WWO1A  ,
     &     Z_WWO1B  =  Z_WWO1B  ,
     &     Z_WWO2A  =  Z_WWO2A  ,
     &     Z_WWO2B  =  Z_WWO2B  ,
     &     Z_HLIN1A  =  Z_HLIN1A  ,
     &     Z_HLIN1B  =  Z_HLIN1B  ,
     &     Z_HLIN2A  =  Z_HLIN2A  ,
     &     Z_HLIN2B  =  Z_HLIN2B  ,
     &     Z_CKSUB  =  Z_CKSUB  ,
     &     Z_WN2I  =  Z_WN2I  ,
     &     Z_WN2O  =  Z_WN2O  ,
     &     Z_WO2I  =  Z_WO2I  ,
     &     Z_WO2O  =  Z_WO2O  ,
     &     Z_BOXYDI1  =  Z_BOXYDI1  ,
     &     Z_BOXYDI2  =  Z_BOXYDI2  ,
     &     Z_BN2DI1  =  Z_BN2DI1  ,
     &     Z_BN2DI2  =  Z_BN2DI2  ,
     &     Z_MO2  =  Z_MO2  ,
     &     Z_MN2  =  Z_MN2  ,
     &     Z_BN2LEFT  =  Z_BN2LEFT  ,
     &     Z_BO2LEFT  =  Z_BO2LEFT  ,
     &     Z_BN2RIGHT  =  Z_BN2RIGHT  ,
     &     Z_BO2RIGHT  =  Z_BO2RIGHT  ,
     &     Z_MGAS  =  Z_MGAS  ,
     &     Z_XH2O  =  Z_XH2O  ,
     &     ZH2OGAS  =  ZH2OGAS  ,
     &     Z_HGAS  =  Z_HGAS  ,
     &     Z_HGASL  =  Z_HGASL  ,
     &     Z_HAIR  =  Z_HAIR  ,
     &     Z_TTOTL  =  Z_TTOTL  ,
     &     Z_CPMIX  =  Z_CPMIX  ,
     &     Z_MG131I  =  Z_MG131I  ,
     &     Z_MG132I  =  Z_MG132I  ,
     &     Z_MG132TE  =  Z_MG132TE  ,
     &     Z_MG133I  =  Z_MG133I  ,
     &     Z_MG133XE  =  Z_MG133XE  ,
     &     Z_MG134CS  =  Z_MG134CS  ,
     &     Z_MG134I  =  Z_MG134I  ,
     &     Z_MG135I  =  Z_MG135I  ,
     &     Z_MG135XE  =  Z_MG135XE  ,
     &     Z_MG136CS  =  Z_MG136CS  ,
     &     Z_MG137CS  =  Z_MG137CS  ,
     &     Z_MG138CS  =  Z_MG138CS  ,
     &     Z_MG138XE  =  Z_MG138XE  ,
     &     Z_MG140BA  =  Z_MG140BA  ,
     &     Z_MG140LA  =  Z_MG140LA  ,
     &     Z_MG144CE  =  Z_MG144CE  ,
     &     Z_MG144CS  =  Z_MG144CS  ,
     &     Z_MG144PR  =  Z_MG144PR  ,
     &     Z_MG16N  =  Z_MG16N  ,
     &     Z_MG41AR  =  Z_MG41AR  ,
     &     Z_MG60CO  =  Z_MG60CO  ,
     &     Z_MG85KR  =  Z_MG85KR  ,
     &     Z_MG87KR  =  Z_MG87KR  ,
     &     Z_MG88KR  =  Z_MG88KR  ,
     &     Z_MG88RB  =  Z_MG88RB  ,
     &     Z_MG89SR  =  Z_MG89SR  ,
     &     Z_MG90SR  =  Z_MG90SR  ,
     &     Z_MG90Y  =  Z_MG90Y  ,
     &     Z_MG91SR  =  Z_MG91SR  ,
     &     Z_MG91Y  =  Z_MG91Y  ,
     &     Z_MG92SR  =  Z_MG92SR  ,
     &     Z_MG92Y  =  Z_MG92Y  ,
     &     Z_MGM133XE  =  Z_MGM133XE  ,
     &     Z_MGM135XE  =  Z_MGM135XE  ,
     &     Z_MGM144PR  =  Z_MGM144PR  ,
     &     Z_MGM85KR  =  Z_MGM85KR  ,
     &     Z_MHW131I  =  Z_MHW131I  ,
     &     Z_MHW132I  =  Z_MHW132I  ,
     &     Z_MHW132TE  =  Z_MHW132TE  ,
     &     Z_MHW133I  =  Z_MHW133I  ,
     &     Z_MHW133XE  =  Z_MHW133XE  ,
     &     Z_MHW134CS  =  Z_MHW134CS  ,
     &     Z_MHW134I  =  Z_MHW134I  ,
     &     Z_MHW135I  =  Z_MHW135I  ,
     &     Z_MHW135XE  =  Z_MHW135XE  ,
     &     Z_MHW136CS  =  Z_MHW136CS  ,
     &     Z_MHW137CS  =  Z_MHW137CS  ,
     &     Z_MHW138CS  =  Z_MHW138CS  ,
     &     Z_MHW138XE  =  Z_MHW138XE  ,
     &     Z_MHW140BA  =  Z_MHW140BA  ,
     &     Z_MHW140LA  =  Z_MHW140LA  ,
     &     Z_MHW144CE  =  Z_MHW144CE  ,
     &     Z_MHW144CS  =  Z_MHW144CS  ,
     &     Z_MHW144PR  =  Z_MHW144PR  ,
     &     Z_MHW16N  =  Z_MHW16N  ,
     &     Z_MHW41AR  =  Z_MHW41AR  ,
     &     Z_MHW60CO  =  Z_MHW60CO  ,
     &     Z_MHW85KR  =  Z_MHW85KR  ,
     &     Z_MHW87KR  =  Z_MHW87KR  ,
     &     Z_MHW88KR  =  Z_MHW88KR  ,
     &     Z_MHW88RB  =  Z_MHW88RB  ,
     &     Z_MHW89SR  =  Z_MHW89SR  ,
     &     Z_MHW90SR  =  Z_MHW90SR  ,
     &     Z_MHW90Y  =  Z_MHW90Y  ,
     &     Z_MHW91SR  =  Z_MHW91SR  ,
     &     Z_MHW91Y  =  Z_MHW91Y  ,
     &     Z_MHW92SR  =  Z_MHW92SR  ,
     &     Z_MHW92Y  =  Z_MHW92Y  ,
     &     Z_MHWM133XE  =  Z_MHWM133XE  ,
     &     Z_MHWM135XE  =  Z_MHWM135XE  ,
     &     Z_MHWM144PR  =  Z_MHWM144PR  ,
     &     Z_MHWM85KR  =  Z_MHWM85KR  ,
     &     Z_131IAR1  =  Z_131IAR1  ,
     &     Z_132IAR1  =  Z_132IAR1  ,
     &     Z_132TEAR1  =  Z_132TEAR1  ,
     &     Z_133IAR1  =  Z_133IAR1  ,
     &     Z_133XEAR1  =  Z_133XEAR1  ,
     &     Z_134CSAR1  =  Z_134CSAR1  ,
     &     Z_134IAR1  =  Z_134IAR1  ,
     &     Z_135IAR1  =  Z_135IAR1  ,
     &     Z_135XEAR1  =  Z_135XEAR1  ,
     &     Z_136CSAR1  =  Z_136CSAR1  ,
     &     Z_137CSAR1  =  Z_137CSAR1  ,
     &     Z_138CSAR1  =  Z_138CSAR1  ,
     &     Z_138XEAR1  =  Z_138XEAR1  ,
     &     Z_140BAAR1  =  Z_140BAAR1  ,
     &     Z_140LAAR1  =  Z_140LAAR1  ,
     &     Z_144CEAR1  =  Z_144CEAR1  ,
     &     Z_144CSAR1  =  Z_144CSAR1  ,
     &     Z_144PRAR1  =  Z_144PRAR1  ,
     &     Z_16NAR1  =  Z_16NAR1  ,
     &     Z_41ARAR1  =  Z_41ARAR1  ,
     &     Z_60COAR1  =  Z_60COAR1  ,
     &     Z_85KRAR1  =  Z_85KRAR1  ,
     &     Z_87KRAR1  =  Z_87KRAR1  ,
     &     Z_88KRAR1  =  Z_88KRAR1  ,
     &     Z_88RBAR1  =  Z_88RBAR1  ,
     &     Z_89SRAR1  =  Z_89SRAR1  ,
     &     Z_90SRAR1  =  Z_90SRAR1  ,
     &     Z_90YAR1  =  Z_90YAR1  ,
     &     Z_91SRAR1  =  Z_91SRAR1  ,
     &     Z_91YAR1  =  Z_91YAR1  ,
     &     Z_92SRAR1  =  Z_92SRAR1  ,
     &     Z_92YAR1  =  Z_92YAR1  ,
     &     Z_M133XEAR1  =  Z_M133XEAR1  ,
     &     Z_M135XEAR1  =  Z_M135XEAR1  ,
     &     Z_M144PRAR1  =  Z_M144PRAR1  ,
     &     Z_M85KRAR1  =  Z_M85KRAR1  ,
     &     Z_HAR1  =  Z_HAR1  ,
     &     Z_WAR1  =  Z_WAR1  ,
     &     Z_BGASAR1  =  Z_BGASAR1  ,
     &     Z_BN2AR1  =  Z_BN2AR1  ,
     &     Z_BHYDAR1  =  Z_BHYDAR1  ,
     &     Z_BOXYAR1  =  Z_BOXYAR1  ,
     &     Z_XAAR1  =  Z_XAAR1  ,
     &     Z_XH2OAR1  =  Z_XH2OAR1  ,
     &     Z_131IAR2  =  Z_131IAR2  ,
     &     Z_132IAR2  =  Z_132IAR2  ,
     &     Z_132TEAR2  =  Z_132TEAR2  ,
     &     Z_133IAR2  =  Z_133IAR2  ,
     &     Z_133XEAR2  =  Z_133XEAR2  ,
     &     Z_134CSAR2  =  Z_134CSAR2  ,
     &     Z_134IAR2  =  Z_134IAR2  ,
     &     Z_135IAR2  =  Z_135IAR2  ,
     &     Z_135XEAR2  =  Z_135XEAR2  ,
     &     Z_136CSAR2  =  Z_136CSAR2  ,
     &     Z_137CSAR2  =  Z_137CSAR2  ,
     &     Z_138CSAR2  =  Z_138CSAR2  ,
     &     Z_138XEAR2  =  Z_138XEAR2  ,
     &     Z_140BAAR2  =  Z_140BAAR2  ,
     &     Z_140LAAR2  =  Z_140LAAR2  ,
     &     Z_144CEAR2  =  Z_144CEAR2  ,
     &     Z_144CSAR2  =  Z_144CSAR2  ,
     &     Z_144PRAR2  =  Z_144PRAR2  ,
     &     Z_16NAR2  =  Z_16NAR2  ,
     &     Z_41ARAR2  =  Z_41ARAR2  ,
     &     Z_60COAR2  =  Z_60COAR2  ,
     &     Z_85KRAR2  =  Z_85KRAR2  ,
     &     Z_87KRAR2  =  Z_87KRAR2  ,
     &     Z_88KRAR2  =  Z_88KRAR2  ,
     &     Z_88RBAR2  =  Z_88RBAR2  ,
     &     Z_89SRAR2  =  Z_89SRAR2  ,
     &     Z_90SRAR2  =  Z_90SRAR2  ,
     &     Z_90YAR2  =  Z_90YAR2  ,
     &     Z_91SRAR2  =  Z_91SRAR2  ,
     &     Z_91YAR2  =  Z_91YAR2  ,
     &     Z_92SRAR2  =  Z_92SRAR2  ,
     &     Z_92YAR2  =  Z_92YAR2  ,
     &     Z_M133XEAR2  =  Z_M133XEAR2  ,
     &     Z_M135XEAR2  =  Z_M135XEAR2  ,
     &     Z_M144PRAR2  =  Z_M144PRAR2  ,
     &     Z_M85KRAR2  =  Z_M85KRAR2  ,
     &     Z_HAR2  =  Z_HAR2  ,
     &     Z_WAR2  =  Z_WAR2  ,
     &     Z_BGASAR2  =  Z_BGASAR2  ,
     &     Z_BN2AR2  =  Z_BN2AR2  ,
     &     Z_BHYDAR2  =  Z_BHYDAR2  ,
     &     Z_BOXYAR2  =  Z_BOXYAR2  ,
     &     Z_XAAR2  =  Z_XAAR2  ,
     &     Z_XH2OAR2  =  Z_XH2OAR2  ,
     &     Z_BOXYL2  =  Z_BOXYL2  ,
     &     Z_BN2L2  =  Z_BN2L2  ,
     &     Z_BHYDL2  =  Z_BHYDL2  ,
     &     Z_HGASL2  =  Z_HGASL2  ,
     &     Z_TTOTL2  =  Z_TTOTL2  ,
     &     Z_XH2O2  =  Z_XH2O2  )
      end program P
